Linux thaedus.aserv.co.za 5.14.0-687.24.1.el9_8.x86_64 #1 SMP PREEMPT_DYNAMIC Thu Jul 9 18:14:06 EDT 2026 x86_64
LiteSpeed
Server IP : 197.242.159.149 & Your IP : 216.73.217.62
Domains :
Cant Read [ /etc/named.conf ]
User : bigpuxtb
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
2to3
95
B
-rwxr-xr-x
2026-07-15 11:47
GET
15.82
KB
-rwxr-xr-x
2022-03-25 08:00
HEAD
15.82
KB
-rwxr-xr-x
2022-03-25 08:00
Magick++-config
1.52
KB
-rwxr-xr-x
2026-07-22 08:26
Magick-config
1.43
KB
-rwxr-xr-x
2026-07-22 08:26
MagickCore-config
1.56
KB
-rwxr-xr-x
2026-07-22 08:26
MagickWand-config
1.56
KB
-rwxr-xr-x
2026-07-22 08:26
Mail
1013.25
KB
-rwxr-xr-x
2025-12-17 11:27
POST
15.82
KB
-rwxr-xr-x
2022-03-25 08:00
Wand-config
1.42
KB
-rwxr-xr-x
2026-07-22 08:26
[
51.63
KB
-rwxr-xr-x
2026-06-25 00:26
ab
59.84
KB
-rwxr-xr-x
2026-06-10 15:54
aclocal
35.52
KB
-rwxr-xr-x
2023-09-27 12:16
aclocal-1.16
35.52
KB
-rwxr-xr-x
2023-09-27 12:16
activate-global-python-argcomplete
3.38
KB
-rwxr-xr-x
2022-03-25 12:44
acyclic
15.3
KB
-rwxr-xr-x
2024-04-03 11:16
addr2line
27.74
KB
-rwxr-xr-x
2026-04-04 21:15
aec
35.8
KB
-rwxr-xr-x
2025-05-22 11:42
agentxtrap
27.3
KB
-rwxr-xr-x
2026-04-10 02:30
alias
33
B
-rwxr-xr-x
2024-04-30 14:33
alt-mysql-reconfigure
27.42
KB
-rwxr-xr-x
2026-01-12 22:28
alt-php-mysql-reconfigure
27.42
KB
-rwxr-xr-x
2026-01-12 22:28
alt-php-mysql-reconfigure.py
27.42
KB
-rwxr-xr-x
2026-01-12 22:28
animate
15.09
KB
-rwxr-xr-x
2026-07-22 08:31
appstream-compose
31.47
KB
-rwxr-xr-x
2024-06-13 08:53
appstream-util
116.57
KB
-rwxr-xr-x
2024-06-13 08:53
apropos
48.52
KB
-rwxr-xr-x
2025-09-21 12:57
apropos.man-db
48.52
KB
-rwxr-xr-x
2025-09-21 12:57
apxs
19.35
KB
-rwxr-xr-x
2026-06-10 15:53
ar
55.98
KB
-rwxr-xr-x
2026-04-04 21:15
arch
31.47
KB
-rwxr-xr-x
2026-06-25 00:26
aria_chk
5.36
MB
-rwxr-xr-x
2026-05-23 16:01
aria_dump_log
5.16
MB
-rwxr-xr-x
2026-05-23 16:01
aria_ftdump
5.18
MB
-rwxr-xr-x
2026-05-23 16:01
aria_pack
5.2
MB
-rwxr-xr-x
2026-05-23 16:01
aria_read_log
5.32
MB
-rwxr-xr-x
2026-05-23 16:01
arpaname
15.11
KB
-rwxr-xr-x
2026-06-10 13:21
arping
27.25
KB
-rwxr-xr-x
2025-10-20 12:44
as
710.31
KB
-rwxr-xr-x
2026-04-04 21:15
aserver
39.47
KB
-rwxr-xr-x
2026-03-31 10:28
asn1Coding
15.13
KB
-rwxr-xr-x
2026-06-25 00:23
asn1Decoding
15.16
KB
-rwxr-xr-x
2026-06-25 00:23
asn1Parser
15.14
KB
-rwxr-xr-x
2026-06-25 00:23
aspell
151.12
KB
-rwxr-xr-x
2022-01-26 21:47
at
55.49
KB
-rwxr-xr-x
2025-11-12 00:38
atq
55.49
KB
-rwxr-xr-x
2025-11-12 00:38
atrm
55.49
KB
-rwxr-xr-x
2025-11-12 00:38
attr
15.72
KB
-rwxr-xr-x
2022-01-28 12:44
audit2allow
14.71
KB
-rwxr-xr-x
2026-04-05 11:05
audit2why
14.71
KB
-rwxr-xr-x
2026-04-05 11:05
aulast
19.2
KB
-rwxr-xr-x
2026-04-04 20:12
aulastlog
15.13
KB
-rwxr-xr-x
2026-04-04 20:12
ausyscall
15.12
KB
-rwxr-xr-x
2026-04-04 20:12
authselect
43.68
KB
-rwxr-xr-x
2025-03-12 14:22
autoconf
14.42
KB
-rwxr-xr-x
2025-09-21 12:23
autoconf-2.13
5.03
KB
-rwxr-xr-x
2024-06-20 16:30
autoexpect
7.53
KB
-rwxr-xr-x
2024-04-03 12:23
autoheader
8.33
KB
-rwxr-xr-x
2025-09-21 12:23
autoheader-2.13
8.46
KB
-rwxr-xr-x
2024-06-20 16:30
autom4te
31.43
KB
-rwxr-xr-x
2025-09-21 12:23
automake
251.93
KB
-rwxr-xr-x
2023-09-27 12:16
automake-1.16
251.93
KB
-rwxr-xr-x
2023-09-27 12:16
autopoint
26.36
KB
-rwxr-xr-x
2023-09-27 06:51
autoreconf
20.57
KB
-rwxr-xr-x
2025-09-21 12:23
autoreconf-2.13
5.91
KB
-rwxr-xr-x
2024-06-20 16:30
autoscan
16.72
KB
-rwxr-xr-x
2025-09-21 12:23
autoupdate
33.08
KB
-rwxr-xr-x
2025-09-21 12:23
autoupdate-2.13
3.2
KB
-rwxr-xr-x
2024-06-20 16:30
auvirt
35.3
KB
-rwxr-xr-x
2026-04-04 20:12
avinfo
23.35
KB
-rwxr-xr-x
2026-04-04 21:25
awk
698.17
KB
-rwxr-xr-x
2022-03-30 22:25
b2sum
51.59
KB
-rwxr-xr-x
2026-06-25 00:26
base32
35.49
KB
-rwxr-xr-x
2026-06-25 00:26
base64
35.49
KB
-rwxr-xr-x
2026-06-25 00:26
basename
31.48
KB
-rwxr-xr-x
2026-06-25 00:26
basenc
47.83
KB
-rwxr-xr-x
2026-06-25 00:26
bash
1.32
MB
-rwxr-xr-x
2024-04-30 14:33
bashbug
6.91
KB
-rwxr-xr-x
2024-04-30 14:33
bashbug-64
6.91
KB
-rwxr-xr-x
2024-04-30 14:33
batch
140
B
-rwxr-xr-x
2025-11-12 00:38
bc
89.24
KB
-rwxr-xr-x
2022-01-26 20:50
bcomps
23.37
KB
-rwxr-xr-x
2024-04-03 11:16
bg
30
B
-rwxr-xr-x
2024-04-30 14:33
bison
494.76
KB
-rwxr-xr-x
2022-01-27 00:15
bluemoon
43.75
KB
-rwxr-xr-x
2026-04-04 21:25
bluetoothctl
593.66
KB
-rwxr-xr-x
2026-04-04 21:25
bond2team
22.75
KB
-rwxr-xr-x
2020-07-20 10:00
bootconfig
30.29
KB
-rwxr-xr-x
2026-08-01 10:34
bootctl
100.54
KB
-rwxr-xr-x
2026-06-25 00:28
brotli
753.3
KB
-rwxr-xr-x
2026-02-05 11:07
bsqldb
35.46
KB
-rwxr-xr-x
2025-05-28 13:07
bsqlodbc
31.36
KB
-rwxr-xr-x
2025-05-28 13:07
btattach
31.5
KB
-rwxr-xr-x
2026-04-04 21:25
btmon
1.13
MB
-rwxr-xr-x
2026-04-04 21:25
bunzip2
39.45
KB
-rwxr-xr-x
2026-04-04 21:34
busctl
100.16
KB
-rwxr-xr-x
2026-06-25 00:28
bwrap
72.22
KB
-rwxr-xr-x
2025-09-21 13:44
bzcat
39.45
KB
-rwxr-xr-x
2026-04-04 21:34
bzcmp
2.09
KB
-rwxr-xr-x
2026-04-04 21:34
bzdiff
2.09
KB
-rwxr-xr-x
2026-04-04 21:34
bzegrep
2.01
KB
-rwxr-xr-x
2026-04-04 21:34
bzfgrep
2.01
KB
-rwxr-xr-x
2026-04-04 21:34
bzgrep
2.01
KB
-rwxr-xr-x
2026-04-04 21:34
bzip2
39.45
KB
-rwxr-xr-x
2026-04-04 21:34
bzip2recover
15.23
KB
-rwxr-xr-x
2026-04-04 21:34
bzless
1.23
KB
-rwxr-xr-x
2026-04-04 21:34
bzmore
1.23
KB
-rwxr-xr-x
2026-04-04 21:34
c++
1.05
MB
-rwxr-xr-x
2026-04-04 22:27
c++filt
27.19
KB
-rwxr-xr-x
2026-04-04 21:15
c89
228
B
-rwxr-xr-x
2026-04-04 22:18
c99
219
B
-rwxr-xr-x
2026-04-04 22:18
ca-legacy
1.61
KB
-rwxr-xr-x
2025-11-19 09:34
cal
51.82
KB
-rwxr-xr-x
2026-04-04 22:15
canberra-boot
19.07
KB
-rwxr-xr-x
2023-09-25 19:08
canberra-gtk-play
19.18
KB
-rwxr-xr-x
2023-09-25 19:08
captoinfo
87.79
KB
-rwxr-xr-x
2025-09-21 09:23
cat
35.45
KB
-rwxr-xr-x
2026-06-25 00:26
catchsegv
3.21
KB
-rwxr-xr-x
2026-08-03 10:12
catman
35.86
KB
-rwxr-xr-x
2025-09-21 12:57
cc
1.04
MB
-rwxr-xr-x
2026-04-04 22:27
ccomps
27.47
KB
-rwxr-xr-x
2024-04-03 11:16
cd
30
B
-rwxr-xr-x
2024-04-30 14:33
centrino-decode
14.13
KB
-rwxr-xr-x
2026-08-01 10:34
certutil
172.57
KB
-rwxr-xr-x
2026-03-23 05:10
chacl
19.15
KB
-rwxr-xr-x
2026-07-21 15:58
chage
71.98
KB
-rwxr-xr-x
2026-04-08 19:49
chardetect
225
B
-rwxr-xr-x
2022-03-25 13:26
chattr
15.19
KB
-rwxr-xr-x
2025-09-21 15:03
chcat
13.63
KB
-rwxr-xr-x
2026-04-05 11:05
chcon
60.05
KB
-rwxr-xr-x
2026-06-25 00:26
checkipblock
26.83
KB
-rwx------
2026-07-12 13:44
checkmodule
450.88
KB
-rwxr-xr-x
2024-04-03 10:07
checkpolicy
527.52
KB
-rwxr-xr-x
2024-04-03 10:07
chfn
31.28
KB
-rwx--x--x
2026-04-04 22:15
chgrp
55.98
KB
-rwxr-xr-x
2026-06-25 00:26
chmem
35.4
KB
-rwxr-xr-x
2026-04-04 22:15
chmod
55.96
KB
-rwxr-xr-x
2026-06-25 00:26
choom
23.3
KB
-rwxr-xr-x
2026-04-04 22:15
chown
59.99
KB
-rwxr-xr-x
2026-06-25 00:26
chronyc
104.74
KB
-rwxr-xr-x
2026-04-09 00:49
chrt
27.3
KB
-rwxr-xr-x
2026-04-04 22:15
chsh
23.23
KB
-rwx--x--x
2026-04-04 22:15
chvt
15.35
KB
-rwxr-xr-x
2025-03-13 08:15
cifsiostat
23.36
KB
-rwxr-xr-x
2026-04-15 10:16
circo
15.23
KB
-rwxr-xr-x
2024-04-03 11:16
cksum
31.38
KB
-rwxr-xr-x
2026-06-25 00:26
cl-linksafe-apply-group
558
B
-rwxr-xr-x
2022-10-03 16:40
cl-linksafe-reconfigure
4.83
KB
-rwxr-xr-x
2022-10-03 16:40
clear
15.15
KB
-rwxr-xr-x
2025-09-21 09:23
clockdiff
23.2
KB
-rwxr-xr-x
2025-10-20 12:44
cluster
47.7
KB
-rwxr-xr-x
2024-04-03 11:16
cmp
40.13
KB
-rwxr-xr-x
2022-01-29 18:15
cmsutil
47.37
KB
-rwxr-xr-x
2026-03-23 05:10
col
23.23
KB
-rwxr-xr-x
2026-04-04 22:15
colcrt
15.19
KB
-rwxr-xr-x
2026-04-04 22:15
colrm
15.16
KB
-rwxr-xr-x
2026-04-04 22:15
column
35.34
KB
-rwxr-xr-x
2026-04-04 22:15
comm
35.55
KB
-rwxr-xr-x
2026-06-25 00:26
command
35
B
-rwxr-xr-x
2024-04-30 14:33
compare
15.09
KB
-rwxr-xr-x
2026-07-22 08:31
compile_et
1.31
KB
-rwxr-xr-x
2025-09-21 15:02
composite
15.09
KB
-rwxr-xr-x
2026-07-22 08:31
config_data
6.97
KB
-rwxr-xr-x
2022-02-16 11:46
conjure
15.1
KB
-rwxr-xr-x
2026-07-22 08:31
convert
15.1
KB
-rwxr-xr-x
2026-07-22 08:31
coredumpctl
59.84
KB
-rwxr-xr-x
2026-06-25 00:28
corelist
14.92
KB
-rwxr-xr-x
2025-03-12 23:43
cp
141.02
KB
-rwxr-xr-x
2026-06-25 00:26
cpan
8.37
KB
-rwxr-xr-x
2025-05-13 21:00
cpan-mirrors
4.19
KB
-rwxr-xr-x
2025-05-13 21:00
cpansign
1.98
KB
-rwxr-xr-x
2022-03-29 21:13
cpapi1
3.32
MB
-rwxr-xr-x
2026-07-24 02:06
cpapi2
3.32
MB
-rwxr-xr-x
2026-07-24 02:06
cpapi3
3.32
MB
-rwxr-xr-x
2026-07-24 02:06
cpio
145.52
KB
-rwxr-xr-x
2022-01-29 20:51
cpp
1.05
MB
-rwxr-xr-x
2026-04-04 22:27
cpupower
80.02
KB
-rwxr-xr-x
2026-08-01 10:15
crb
2.59
KB
-rwxr--r--
2026-06-23 22:05
crc32
1.02
KB
-rwxr-xr-x
2022-03-24 22:30
crlutil
91.98
KB
-rwxr-xr-x
2026-03-23 05:10
cronnext
39.75
KB
-rwxr-xr-x
2026-04-09 05:59
crontab
55.77
KB
-rwsr-xr-x
2026-04-09 05:59
csplit
108.67
KB
-rwxr-xr-x
2026-06-25 00:26
curl
248.48
KB
-rwxr-xr-x
2026-04-04 23:21
curve_keygen
15.1
KB
-rwxr-xr-x
2023-03-08 09:18
cut
43.6
KB
-rwxr-xr-x
2026-06-25 00:26
cvtsudoers
352.23
KB
-rwxr-xr-x
2026-05-21 01:23
cxpm
27.41
KB
-rwxr-xr-x
2024-04-01 18:32
cyrusbdb2current
1.58
MB
-rwxr-xr-x
2025-09-25 11:46
datacopy
31.42
KB
-rwxr-xr-x
2025-05-28 13:07
date
103.84
KB
-rwxr-xr-x
2026-06-25 00:26
dbilogstrip
1.35
KB
-rwxr-xr-x
2026-08-03 10:58
dbiprof
6.06
KB
-rwxr-xr-x
2026-08-03 10:58
dbus-broker
232
KB
-rwxr-xr-x
2022-10-14 17:11
dbus-broker-launch
130.02
KB
-rwxr-xr-x
2022-10-14 17:11
dbus-monitor
27.27
KB
-rwxr-xr-x
2023-09-26 21:51
dbus-send
27.22
KB
-rwxr-xr-x
2023-09-26 21:51
dbus-update-activation-environment
15.17
KB
-rwxr-xr-x
2023-09-26 21:51
dbus-uuidgen
15.14
KB
-rwxr-xr-x
2023-09-26 21:51
dbxtool
23.34
KB
-rwxr-xr-x
2026-04-13 08:36
dc
48.42
KB
-rwxr-xr-x
2022-01-26 20:50
dconf
64.71
KB
-rwxr-xr-x
2022-01-29 19:03
dd
67.95
KB
-rwxr-xr-x
2026-06-25 00:26
deallocvt
15.36
KB
-rwxr-xr-x
2025-03-13 08:15
debuginfo-install
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
debuginfod-find
19.27
KB
-rwxr-xr-x
2026-04-05 00:39
defncopy
31.43
KB
-rwxr-xr-x
2025-05-28 13:07
delv
45.38
KB
-rwxr-xr-x
2026-06-10 13:21
df
80.53
KB
-rwxr-xr-x
2026-06-25 00:26
dict_util
428.86
KB
-rwxr-xr-x
2026-07-21 13:12
dict_util_string
398.74
KB
-rwxr-xr-x
2026-07-21 13:12
diff
194.7
KB
-rwxr-xr-x
2022-01-29 18:15
diff3
52.3
KB
-rwxr-xr-x
2022-01-29 18:15
diffimg
15.26
KB
-rwxr-xr-x
2024-04-03 11:16
dig
136.59
KB
-rwxr-xr-x
2026-06-10 13:21
dijkstra
19.44
KB
-rwxr-xr-x
2024-04-03 11:16
dir
137.45
KB
-rwxr-xr-x
2026-06-25 00:26
dircolors
39.62
KB
-rwxr-xr-x
2026-06-25 00:26
dirmngr
439.97
KB
-rwxr-xr-x
2026-01-15 21:34
dirmngr-client
56.13
KB
-rwxr-xr-x
2026-01-15 21:34
dirname
27.3
KB
-rwxr-xr-x
2026-06-25 00:26
dislocate
7.76
KB
-rwxr-xr-x
2024-04-03 12:23
display
15.09
KB
-rwxr-xr-x
2026-07-22 08:31
distro
953
B
-rwxr-xr-x
2022-03-25 07:52
dltest
15.1
KB
-rwxr-xr-x
2026-03-31 12:14
dmesg
71.77
KB
-rwxr-xr-x
2026-04-04 22:15
dnf
2.04
KB
-rwxr-xr-x
2026-05-20 19:48
dnf-3
2.04
KB
-rwxr-xr-x
2026-05-20 19:48
dnf4
2.04
KB
-rwxr-xr-x
2026-05-20 19:48
dnsdomainname
23.84
KB
-rwxr-xr-x
2022-02-14 11:22
dnstap-read
23.19
KB
-rwxr-xr-x
2026-06-10 13:21
domainname
23.84
KB
-rwxr-xr-x
2022-02-14 11:22
dos2unix
56.15
KB
-rwxr-xr-x
2022-04-11 22:33
dot
15.23
KB
-rwxr-xr-x
2024-04-03 11:16
dot2gxl
39.93
KB
-rwxr-xr-x
2024-04-03 11:16
dotty
2.04
KB
-rwxr-xr-x
2024-04-03 11:16
doveadm
820.06
KB
-rwxr-xr-x
2026-07-15 21:53
doveconf
370.6
KB
-rwxr-xr-x
2026-07-15 21:53
dovecot-sysreport
6.28
KB
-rwxr-xr-x
2026-07-15 21:52
dpkg
320.52
KB
-rwxr-xr-x
2026-03-23 13:44
dpkg-deb
153.71
KB
-rwxr-xr-x
2026-03-23 13:44
dpkg-divert
129.77
KB
-rwxr-xr-x
2026-03-23 13:44
dpkg-maintscript-helper
20.63
KB
-rwxr-xr-x
2026-03-23 13:44
dpkg-query
146.16
KB
-rwxr-xr-x
2026-03-23 13:44
dpkg-realpath
35.63
KB
-rwxr-xr-x
2026-03-23 13:44
dpkg-split
104.76
KB
-rwxr-xr-x
2026-03-23 13:44
dpkg-statoverride
56.05
KB
-rwxr-xr-x
2026-03-23 13:44
dpkg-trigger
48.08
KB
-rwxr-xr-x
2026-03-23 13:44
dracut
98.55
KB
-rwxr-xr-x
2026-06-30 09:56
dtrace
17.38
KB
-rwxr-xr-x
2026-04-04 21:42
du
149.27
KB
-rwxr-xr-x
2026-06-25 00:26
dumpkeys
164.05
KB
-rwxr-xr-x
2025-03-13 08:15
dwp
851.59
KB
-rwxr-xr-x
2026-04-04 21:15
dwz
227.99
KB
-rwxr-xr-x
2025-09-21 14:45
ea-php56
5.05
MB
-rwxr-xr-x
2026-03-29 18:16
ea-php56-pear
383
B
-rwxr-xr-x
2026-02-05 10:47
ea-php56-pecl
299
B
-rwxr-xr-x
2026-02-05 10:47
ea-php70
5.14
MB
-rwxr-xr-x
2026-03-29 18:24
ea-php70-pear
383
B
-rwxr-xr-x
2026-02-05 10:51
ea-php70-pecl
299
B
-rwxr-xr-x
2026-02-05 10:51
ea-php71
5.33
MB
-rwxr-xr-x
2026-03-29 18:40
ea-php71-pear
383
B
-rwxr-xr-x
2026-02-05 11:01
ea-php71-pecl
299
B
-rwxr-xr-x
2026-02-05 11:01
ea-php72
5.76
MB
-rwxr-xr-x
2026-05-15 07:11
ea-php72-pear
383
B
-rwxr-xr-x
2026-02-05 11:04
ea-php72-pecl
299
B
-rwxr-xr-x
2026-02-05 11:04
ea-php73
4.52
MB
-rwxr-xr-x
2026-05-15 07:22
ea-php73-pear
383
B
-rwxr-xr-x
2026-02-05 11:09
ea-php73-pecl
299
B
-rwxr-xr-x
2026-02-05 11:09
ea-php74
4.44
MB
-rwxr-xr-x
2026-03-29 19:26
ea-php74-pear
383
B
-rwxr-xr-x
2026-02-05 11:19
ea-php74-pecl
299
B
-rwxr-xr-x
2026-02-05 11:19
ea-php80
8.69
MB
-rwxr-xr-x
2026-03-29 19:40
ea-php80-pear
383
B
-rwxr-xr-x
2026-05-18 18:28
ea-php80-pecl
299
B
-rwxr-xr-x
2026-05-18 18:28
ea-php81
8.73
MB
-rwxr-xr-x
2026-03-29 19:52
ea-php81-pear
383
B
-rwxr-xr-x
2026-05-18 18:36
ea-php81-pecl
299
B
-rwxr-xr-x
2026-05-18 18:36
ea-php82
8.75
MB
-rwxr-xr-x
2026-05-08 16:47
ea-php82-pear
383
B
-rwxr-xr-x
2026-07-08 21:49
ea-php82-pecl
299
B
-rwxr-xr-x
2026-07-08 21:49
ea-php83
8.77
MB
-rwxr-xr-x
2026-05-08 17:12
ea-php83-pear
383
B
-rwxr-xr-x
2026-07-08 21:53
ea-php83-pecl
299
B
-rwxr-xr-x
2026-07-08 21:53
ea-php84
8.79
MB
-rwxr-xr-x
2026-05-08 17:32
ea-php84-pear
383
B
-rwxr-xr-x
2026-07-08 21:53
ea-php84-pecl
299
B
-rwxr-xr-x
2026-07-08 21:53
ea-php85
15.83
MB
-rwxr-xr-x
2026-05-08 18:00
ea-php85-pear
383
B
-rwxr-xr-x
2026-07-08 21:59
ea-php85-pecl
299
B
-rwxr-xr-x
2026-07-08 21:59
ea-wappspector
104
B
-rwxr-xr-x
2026-05-18 19:31
echo
27.28
KB
-rwxr-xr-x
2026-06-25 00:26
ed
52.51
KB
-rwxr-xr-x
2022-01-30 05:02
edgepaint
2.46
MB
-rwxr-xr-x
2024-04-03 11:16
egrep
32
B
-rwxr-xr-x
2022-01-31 20:22
eject
43.61
KB
-rwxr-xr-x
2026-04-04 22:15
elfedit
35.84
KB
-rwxr-xr-x
2026-04-04 21:15
enc2xs
40.69
KB
-rwxr-xr-x
2022-02-11 16:42
encguess
2.92
KB
-rwxr-xr-x
2022-02-11 16:42
enchant
23.73
KB
-rwxr-xr-x
2022-01-30 11:02
enchant-2
23.82
KB
-rwxr-xr-x
2022-01-30 11:19
enchant-lsmod
15.8
KB
-rwxr-xr-x
2022-01-30 11:02
enchant-lsmod-2
15.82
KB
-rwxr-xr-x
2022-01-30 11:19
env
44.03
KB
-rwxr-xr-x
2026-06-25 00:26
envml
4.11
KB
-rwxr-xr-x
2023-05-14 17:11
envsubst
35.39
KB
-rwxr-xr-x
2023-09-27 06:53
eps2eps
643
B
-rwxr-xr-x
2025-05-14 16:03
eqn
189.52
KB
-rwxr-xr-x
2022-02-01 10:44
event_rpcgen.py
53.65
KB
-rwxr-xr-x
2020-07-05 12:01
evmctl
69.59
KB
-rwxr-xr-x
2025-09-21 09:11
ex
1.38
MB
-rwxr-xr-x
2026-07-29 22:08
exempi
28.18
KB
-rwxr-xr-x
2022-01-30 23:19
exiv2
199.82
KB
-rwxr-xr-x
2022-04-14 10:43
expand
39.54
KB
-rwxr-xr-x
2026-06-25 00:26
expect
15.2
KB
-rwxr-xr-x
2024-04-03 12:23
expr
108.43
KB
-rwxr-xr-x
2026-06-25 00:26
factor
71.87
KB
-rwxr-xr-x
2026-06-25 00:26
fallocate
23.2
KB
-rwxr-xr-x
2026-04-04 22:15
false
27.28
KB
-rwxr-xr-x
2026-06-25 00:26
fbsvcmgr
1.47
MB
-rwxr-xr-x
2026-04-17 16:37
fbtracemgr
1.45
MB
-rwxr-xr-x
2026-04-17 16:37
fc
30
B
-rwxr-xr-x
2024-04-30 14:33
fc-cache
139
B
-rwxr-xr-x
2023-01-23 15:48
fc-cache-64
23.17
KB
-rwxr-xr-x
2023-01-23 19:48
fc-cat
19.16
KB
-rwxr-xr-x
2023-01-23 19:48
fc-conflist
15.13
KB
-rwxr-xr-x
2023-01-23 19:48
fc-list
15.13
KB
-rwxr-xr-x
2023-01-23 19:48
fc-match
15.13
KB
-rwxr-xr-x
2023-01-23 19:48
fc-pattern
15.14
KB
-rwxr-xr-x
2023-01-23 19:48
fc-query
15.13
KB
-rwxr-xr-x
2023-01-23 19:48
fc-scan
15.14
KB
-rwxr-xr-x
2023-01-23 19:48
fc-validate
15.14
KB
-rwxr-xr-x
2023-01-23 19:48
fdp
15.23
KB
-rwxr-xr-x
2024-04-03 11:16
fg
30
B
-rwxr-xr-x
2024-04-30 14:33
fgconsole
15.34
KB
-rwxr-xr-x
2025-03-13 08:15
fgrep
32
B
-rwxr-xr-x
2022-01-31 20:22
filan
47.63
KB
-rwxr-xr-x
2026-02-12 18:05
file
27.63
KB
-rwxr-xr-x
2026-04-05 00:57
fincore
23.3
KB
-rwxr-xr-x
2026-04-04 22:15
find
284.95
KB
-rwxr-xr-x
2024-10-02 21:04
find-repos-of-install
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
findmnt
64.75
KB
-rwxr-xr-x
2026-04-04 22:15
fips-finish-install
1.72
KB
-rwxr-xr-x
2026-02-24 11:47
fips-mode-setup
8.02
KB
-rwxr-xr-x
2026-02-24 11:47
fisql
35.46
KB
-rwxr-xr-x
2025-05-28 13:07
flatpak
1.77
MB
-rwxr-xr-x
2026-05-28 21:34
flatpak-bisect
7.66
KB
-rwxr-xr-x
2024-04-17 17:19
flatpak-coredumpctl
3.35
KB
-rwxr-xr-x
2024-04-17 17:19
flex
412.64
KB
-rwxr-xr-x
2022-01-30 08:23
flex++
412.64
KB
-rwxr-xr-x
2022-01-30 08:23
flock
23.37
KB
-rwxr-xr-x
2026-04-04 22:15
fmt
39.58
KB
-rwxr-xr-x
2026-06-25 00:26
fold
39.51
KB
-rwxr-xr-x
2026-06-25 00:26
free
23.36
KB
-rwxr-xr-x
2024-04-30 16:43
freebcp
23.37
KB
-rwxr-xr-x
2025-05-28 13:07
freetype-config
4.32
KB
-rwxr-xr-x
2025-03-31 15:40
fribidi
28.59
KB
-rwxr-xr-x
2022-10-14 17:30
frob
167.85
KB
-rwx------
2026-07-12 13:44
ftp
100.66
KB
-rwxr-xr-x
2022-01-30 23:49
ftp-rfc
687
B
-rwxr-xr-x
2024-04-03 12:23
funzip
31.25
KB
-rwxr-xr-x
2026-04-09 11:24
fuse2fs
72.68
KB
-rwxr-xr-x
2025-09-21 15:03
fusermount
35.52
KB
-rwsr-xr-x
2025-03-12 19:30
futurize
960
B
-rwxr-xr-x
2023-01-17 20:12
futurize-3
960
B
-rwxr-xr-x
2023-01-17 20:12
futurize-3.9
960
B
-rwxr-xr-x
2023-01-17 20:12
fwupdmgr
157.02
KB
-rwxr-xr-x
2026-04-13 08:36
fwupdtool
177.2
KB
-rwxr-xr-x
2026-04-13 08:36
g++
1.05
MB
-rwxr-xr-x
2026-04-04 22:27
g13
110.29
KB
-rwxr-xr-x
2026-01-15 21:34
galera_new_cluster
936
B
-rwxr-xr-x
2026-05-23 15:25
galera_recovery
3.29
KB
-rwxr-xr-x
2026-05-23 15:25
gapplication
23.2
KB
-rwxr-xr-x
2026-07-20 23:56
garb-systemd
1.32
KB
-rwxr-xr-x
2026-05-22 03:36
garbd
1.63
MB
-rwxr-xr-x
2026-05-22 03:37
gawk
698.17
KB
-rwxr-xr-x
2022-03-30 22:25
gbak
2.53
MB
-rwxr-xr-x
2026-04-17 16:37
gc
19.39
KB
-rwxr-xr-x
2024-04-03 11:16
gcc
1.04
MB
-rwxr-xr-x
2026-04-04 22:27
gcc-ar
27.67
KB
-rwxr-xr-x
2026-04-04 22:27
gcc-nm
27.65
KB
-rwxr-xr-x
2026-04-04 22:27
gcc-ranlib
27.67
KB
-rwxr-xr-x
2026-04-04 22:27
gcov
477.13
KB
-rwxr-xr-x
2026-04-04 22:27
gcov-dump
291.77
KB
-rwxr-xr-x
2026-04-04 22:28
gcov-tool
320.47
KB
-rwxr-xr-x
2026-04-04 22:27
gdbm_dump
28.22
KB
-rwxr-xr-x
2024-10-02 21:50
gdbm_load
36.48
KB
-rwxr-xr-x
2024-10-02 21:50
gdbmtool
149.26
KB
-rwxr-xr-x
2024-10-02 21:50
gdbus
51.5
KB
-rwxr-xr-x
2026-07-20 23:56
gdbus-codegen
1.99
KB
-rwxr-xr-x
2026-07-20 23:54
gdk-pixbuf-query-loaders-64
15.16
KB
-rwxr-xr-x
2026-05-21 11:01
gdk-pixbuf-thumbnailer
19.15
KB
-rwxr-xr-x
2026-05-21 11:01
gen_grub_cfgstub
660
B
-rwx------
2026-04-06 12:55
gencat
27.45
KB
-rwxr-xr-x
2026-08-03 10:14
genl-ctrl-list
15.48
KB
-rwxr-xr-x
2025-03-17 12:12
geoiplookup
15.87
KB
-rwxr-xr-x
2022-11-23 16:40
geoiplookup6
15.82
KB
-rwxr-xr-x
2022-11-23 16:40
geosop
490.39
KB
-rwxr-xr-x
2025-09-26 14:35
geqn
189.52
KB
-rwxr-xr-x
2022-02-01 10:44
getcert
150.66
KB
-rwxr-xr-x
2026-04-14 16:15
getconf
35.23
KB
-rwxr-xr-x
2026-08-03 10:14
getent
35.86
KB
-rwxr-xr-x
2026-08-03 10:14
getfacl
31.28
KB
-rwxr-xr-x
2026-07-21 15:58
getfattr
24.35
KB
-rwxr-xr-x
2022-01-28 12:44
getkeycodes
15.34
KB
-rwxr-xr-x
2025-03-13 08:15
getopt
23.27
KB
-rwxr-xr-x
2026-04-04 22:15
getopts
35
B
-rwxr-xr-x
2024-04-30 14:33
gettext
35.35
KB
-rwxr-xr-x
2023-09-27 06:53
gettext.sh
5.07
KB
-rwxr-xr-x
2023-09-27 06:50
gettextize
41.25
KB
-rwxr-xr-x
2023-09-27 06:51
gfix
1.47
MB
-rwxr-xr-x
2026-04-17 16:37
ghostscript
15.13
KB
-rwxr-xr-x
2025-05-14 16:03
gif2h5
18.92
KB
-rwxr-xr-x
2025-05-22 11:54
gio
91.82
KB
-rwxr-xr-x
2026-07-20 23:56
gio-querymodules-64
15.13
KB
-rwxr-xr-x
2026-07-20 23:56
git
22.29
MB
-rwxr-xr-x
2025-07-09 21:55
git-receive-pack
22.29
MB
-rwxr-xr-x
2025-07-09 21:55
git-shell
6.26
MB
-rwxr-xr-x
2025-07-09 21:55
git-upload-archive
22.29
MB
-rwxr-xr-x
2025-07-09 21:55
git-upload-pack
22.29
MB
-rwxr-xr-x
2025-07-09 21:55
glances
210
B
-rwxr-xr-x
2023-01-20 13:41
glib-compile-resources
43.34
KB
-rwxr-xr-x
2026-07-20 23:56
glib-compile-schemas
51.47
KB
-rwxr-xr-x
2026-07-20 23:56
glib-genmarshal
40.14
KB
-rwxr-xr-x
2026-07-20 23:54
glib-gettextize
5.26
KB
-rwxr-xr-x
2026-07-20 23:54
glib-mkenums
30.08
KB
-rwxr-xr-x
2026-07-20 23:54
gm
15.67
KB
-rwxr-xr-x
2022-11-23 17:49
gmake
249.8
KB
-rwxr-xr-x
2024-04-02 12:55
gml2gv
47.78
KB
-rwxr-xr-x
2024-04-03 11:16
gneqn
916
B
-rwxr-xr-x
2022-02-01 10:44
gnroff
3.21
KB
-rwxr-xr-x
2022-02-01 10:44
gobject-query
15.17
KB
-rwxr-xr-x
2026-07-20 23:56
gpasswd
76.19
KB
-rwsr-xr-x
2026-04-08 19:49
gpg
1.07
MB
-rwxr-xr-x
2026-01-15 21:34
gpg-agent
342.27
KB
-rwxr-xr-x
2026-01-15 21:34
gpg-card
170.13
KB
-rwxr-xr-x
2026-01-15 21:34
gpg-connect-agent
84.75
KB
-rwxr-xr-x
2026-01-15 21:34
gpg-error
36.1
KB
-rwxr-xr-x
2022-02-09 23:24
gpg-error-config
1.98
KB
-rwxr-xr-x
2022-02-09 23:24
gpg-wks-client
129.55
KB
-rwxr-xr-x
2026-01-15 21:34
gpg-wks-server
113.33
KB
-rwxr-xr-x
2026-01-15 21:34
gpg2
1.07
MB
-rwxr-xr-x
2026-01-15 21:34
gpgconf
100.98
KB
-rwxr-xr-x
2026-01-15 21:34
gpgme-json
84.63
KB
-rwxr-xr-x
2022-03-30 19:37
gpgparsemail
35.33
KB
-rwxr-xr-x
2026-01-15 21:34
gpgrt-config
13.13
KB
-rwxr-xr-x
2022-02-09 23:24
gpgsplit
27.5
KB
-rwxr-xr-x
2026-01-15 21:34
gpgtar
64.87
KB
-rwxr-xr-x
2026-01-15 21:34
gpgv
295.43
KB
-rwxr-xr-x
2026-01-15 21:34
gpgv2
295.43
KB
-rwxr-xr-x
2026-01-15 21:34
gpic
201.72
KB
-rwxr-xr-x
2022-02-01 10:44
gpio-event-mon
18.13
KB
-rwxr-xr-x
2026-08-01 10:34
gpio-hammer
14.12
KB
-rwxr-xr-x
2026-08-01 10:34
gpio-watch
14.12
KB
-rwxr-xr-x
2026-08-01 10:34
gpre
2.11
MB
-rwxr-xr-x
2026-04-17 16:37
gprof
101.48
KB
-rwxr-xr-x
2026-04-04 21:15
gr2fonttest
28
KB
-rwxr-xr-x
2022-01-31 13:10
graphml2gv
23.55
KB
-rwxr-xr-x
2024-04-03 11:16
grep
154.49
KB
-rwxr-xr-x
2022-01-31 20:22
gresource
23.29
KB
-rwxr-xr-x
2026-07-20 23:56
groff
96.77
KB
-rwxr-xr-x
2022-02-01 10:44
grops
167.26
KB
-rwxr-xr-x
2022-02-01 10:44
grotty
122.2
KB
-rwxr-xr-x
2022-02-01 10:44
groups
35.48
KB
-rwxr-xr-x
2026-06-25 00:26
grub2-editenv
486.73
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-file
1.11
MB
-rwxr-xr-x
2026-04-06 12:55
grub2-menulst2cfg
284.52
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-mkimage
465.64
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-mkpasswd-pbkdf2
314.01
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-mkrelpath
301.16
KB
-rwxr-xr-x
2026-04-06 12:55
grub2-mount
1.02
MB
-rwxr-xr-x
2026-04-06 12:55
grub2-script-check
333.95
KB
-rwxr-xr-x
2026-04-06 12:55
gs
15.13
KB
-rwxr-xr-x
2025-05-14 16:03
gsbj
354
B
-rwxr-xr-x
2025-05-14 16:03
gsdj
356
B
-rwxr-xr-x
2025-05-14 16:03
gsdj500
356
B
-rwxr-xr-x
2025-05-14 16:03
gsec
1.52
MB
-rwxr-xr-x
2026-04-17 16:37
gsettings
31.38
KB
-rwxr-xr-x
2026-07-20 23:56
gsf-office-thumbnailer
20.07
KB
-rwxr-xr-x
2022-02-09 23:44
gslj
357
B
-rwxr-xr-x
2025-05-14 16:03
gslp
354
B
-rwxr-xr-x
2025-05-14 16:03
gsnd
281
B
-rwxr-xr-x
2025-05-14 16:03
gsoelim
32.18
KB
-rwxr-xr-x
2022-02-01 10:44
gsplit
1.41
MB
-rwxr-xr-x
2026-04-17 16:37
gst-inspect-1.0
71.75
KB
-rwxr-xr-x
2025-03-13 09:20
gst-launch-1.0
39.48
KB
-rwxr-xr-x
2025-03-13 09:20
gst-stats-1.0
35.64
KB
-rwxr-xr-x
2025-03-13 09:20
gst-typefind-1.0
19.34
KB
-rwxr-xr-x
2025-03-13 09:20
gstat-fb
1.48
MB
-rwxr-xr-x
2026-04-17 16:37
gtar
518.13
KB
-rwxr-xr-x
2026-04-04 21:56
gtbl
130.86
KB
-rwxr-xr-x
2022-02-01 10:44
gtester
31.29
KB
-rwxr-xr-x
2026-07-20 23:56
gtester-report
18.64
KB
-rwxr-xr-x
2026-07-20 23:54
gtk-launch
19.28
KB
-rwxr-xr-x
2025-09-17 21:32
gtk-query-immodules-2.0-64
19.17
KB
-rwxr-xr-x
2023-04-07 07:55
gtk-query-immodules-3.0-64
23.27
KB
-rwxr-xr-x
2025-09-17 21:32
gtk-update-icon-cache
39.83
KB
-rwxr-xr-x
2025-09-17 21:32
gtroff
732.07
KB
-rwxr-xr-x
2022-02-01 10:44
gunzip
2.29
KB
-rwxr-xr-x
2022-10-15 17:26
gv2gml
23.41
KB
-rwxr-xr-x
2024-04-03 11:16
gv2gxl
39.93
KB
-rwxr-xr-x
2024-04-03 11:16
gvcolor
49.59
KB
-rwxr-xr-x
2024-04-03 11:16
gvgen
23.41
KB
-rwxr-xr-x
2024-04-03 11:16
gvmap
2.75
MB
-rwxr-xr-x
2024-04-03 11:16
gvmap.sh
2.14
KB
-rwxr-xr-x
2024-04-03 11:16
gvpack
398.14
KB
-rwxr-xr-x
2024-04-03 11:16
gvpr
15.2
KB
-rwxr-xr-x
2024-04-03 11:16
gxl2dot
39.93
KB
-rwxr-xr-x
2024-04-03 11:16
gxl2gv
39.93
KB
-rwxr-xr-x
2024-04-03 11:16
gzexe
6.3
KB
-rwxr-xr-x
2022-10-15 17:26
gzip
89.63
KB
-rwxr-xr-x
2022-10-15 17:26
h2ph
28.69
KB
-rwxr-xr-x
2025-07-28 03:54
h2xs
59.5
KB
-rwxr-xr-x
2025-07-28 03:53
h52gif
18.98
KB
-rwxr-xr-x
2025-05-22 11:54
h5clear
31.52
KB
-rwxr-xr-x
2025-05-22 11:53
h5copy
35.16
KB
-rwxr-xr-x
2025-05-22 11:53
h5debug
26.91
KB
-rwxr-xr-x
2025-05-22 11:53
h5diff
151.35
KB
-rwxr-xr-x
2025-05-22 11:53
h5dump
265.55
KB
-rwxr-xr-x
2025-05-22 11:53
h5format_convert
35.32
KB
-rwxr-xr-x
2025-05-22 11:53
h5import
75.39
KB
-rwxr-xr-x
2025-05-22 11:53
h5jam
27.18
KB
-rwxr-xr-x
2025-05-22 11:53
h5ls
159.44
KB
-rwxr-xr-x
2025-05-22 11:53
h5mkgrp
31.11
KB
-rwxr-xr-x
2025-05-22 11:53
h5perf_serial
53.43
KB
-rwxr-xr-x
2025-05-22 11:53
h5repack
159.6
KB
-rwxr-xr-x
2025-05-22 11:53
h5repart
18.91
KB
-rwxr-xr-x
2025-05-22 11:53
h5stat
60.59
KB
-rwxr-xr-x
2025-05-22 11:53
h5unjam
27.16
KB
-rwxr-xr-x
2025-05-22 11:53
h5watch
59.63
KB
-rwxr-xr-x
2025-05-22 11:54
hardlink
35.43
KB
-rwxr-xr-x
2026-04-04 22:15
hash
32
B
-rwxr-xr-x
2024-04-30 14:33
hb-ot-shape-closure
43.66
KB
-rwxr-xr-x
2024-04-02 17:02
hb-shape
47.91
KB
-rwxr-xr-x
2024-04-02 17:02
hb-subset
39.66
KB
-rwxr-xr-x
2024-04-02 17:02
hb-view
64.01
KB
-rwxr-xr-x
2024-04-02 17:02
head
39.6
KB
-rwxr-xr-x
2026-06-25 00:26
hex2hcd
19.05
KB
-rwxr-xr-x
2026-04-04 21:25
hexdump
51.41
KB
-rwxr-xr-x
2026-04-04 22:15
host
108.57
KB
-rwxr-xr-x
2026-06-10 13:21
hostid
31.47
KB
-rwxr-xr-x
2026-06-25 00:26
hostname
23.84
KB
-rwxr-xr-x
2022-02-14 11:22
hostnamectl
31.49
KB
-rwxr-xr-x
2026-06-25 00:28
htdbm
27.49
KB
-rwxr-xr-x
2026-06-10 15:54
htdigest
15.48
KB
-rwxr-xr-x
2026-06-10 15:54
html2text
980
B
-rwxr-xr-x
2022-03-26 14:11
htop
380.55
KB
-rwxr-xr-x
2024-01-15 14:59
htpasswd
27.51
KB
-rwxr-xr-x
2026-06-10 15:54
httxt2dbm
15.43
KB
-rwxr-xr-x
2026-06-10 15:54
hunspell
102.67
KB
-rwxr-xr-x
2022-01-31 20:22
i360-check-flow
402.74
KB
-rwxr-xr-x
2026-07-21 13:12
i360-exclcomp
455.11
KB
-rwxr-xr-x
2026-07-21 13:12
i360-pkg-watcher
6.86
MB
-rwxr-xr-x
2026-07-21 13:12
i360-renameat2
15.13
KB
-rwxr-xr-x
2026-07-21 13:12
i360-storage
996
B
-rwxr-xr-x
2026-07-21 13:11
i360-storage-hdb
114.59
KB
-rwxr-xr-x
2026-07-21 13:12
i360-storage-mkcustom
1.19
KB
-rwxr-xr-x
2026-07-21 13:11
i360-storage-new
5.54
KB
-rwxr-xr-x
2026-07-21 13:11
i360-storage-replacehdb-v2
861
B
-rwxr-xr-x
2026-07-21 13:12
i360-storage.immunity
657.43
KB
-rwxr-xr-x
2026-07-21 13:12
i360-storage.v2
9.66
MB
-rwxr-xr-x
2026-07-21 13:12
i360-sync-config
6.4
MB
-rwxr-xr-x
2026-07-21 13:12
i360-sync-config.sh
184
B
-rwxr-xr-x
2026-07-21 13:11
i360_wafd_check
2.99
MB
-rwxr-xr-x
2026-07-21 17:39
i360_wafd_list
2.95
MB
-rwxr-xr-x
2026-07-21 17:39
i386
27.48
KB
-rwxr-xr-x
2026-04-04 22:15
iconv
64.09
KB
-rwxr-xr-x
2026-08-03 10:14
icu-config
205
B
-rwxr-xr-x
2025-07-29 16:13
icu-config-64
21.67
KB
-rwxr-xr-x
2025-07-29 16:16
icuinfo
15.49
KB
-rwxr-xr-x
2025-07-29 16:17
id
39.52
KB
-rwxr-xr-x
2026-06-25 00:26
identify
15.1
KB
-rwxr-xr-x
2026-07-22 08:31
idiag-socket-details
15.52
KB
-rwxr-xr-x
2025-03-17 12:12
idn
36.46
KB
-rwxr-xr-x
2022-02-14 15:33
ifnames
4.03
KB
-rwxr-xr-x
2025-09-21 12:23
ifnames-2.13
2.72
KB
-rwxr-xr-x
2024-06-20 16:30
iio_event_monitor
30.13
KB
-rwxr-xr-x
2026-08-01 10:34
iio_generic_buffer
34.14
KB
-rwxr-xr-x
2026-08-01 10:34
ima-add-sigs
3.67
KB
-rwxr-xr-x
2025-09-21 09:11
ima-setup
3.71
KB
-rwxr-xr-x
2025-09-21 09:11
import
15.09
KB
-rwxr-xr-x
2026-07-22 08:31
imunify-agent-proxy
13.13
MB
-rwxr-xr-x
2026-06-22 22:34
imunify-antivirus
1
KB
-rwxr-xr-x
2026-07-21 14:04
imunify-fgw-dump
7.8
MB
-rwxr-xr-x
2026-06-03 14:28
imunify-resident
27.2
MB
-rwxr-xr-x
2026-07-21 14:06
imunify-service
1020
B
-rwxr-xr-x
2026-07-21 14:04
imunify360-agent
1.01
KB
-rwxr-xr-x
2026-07-21 14:06
imunify360-command-wrapper
9.99
KB
-rwxr-xr-x
2026-06-03 18:04
imunify360-dos-protection
8.12
MB
-rwxr-xr-x
2026-07-21 14:06
imunify360-wsctl
5.22
MB
-rwxr-xr-x
2026-07-21 17:39
incrontab
76.52
KB
-rwsr-xr-x
2023-05-12 17:25
info
312.73
KB
-rwxr-xr-x
2022-05-01 13:12
infocmp
63.68
KB
-rwxr-xr-x
2025-09-21 09:23
infotocap
87.79
KB
-rwxr-xr-x
2025-09-21 09:23
innochecksum
4.52
MB
-rwxr-xr-x
2026-05-23 16:01
inotifywait
35.87
KB
-rwxr-xr-x
2022-01-26 10:26
inotifywatch
31.91
KB
-rwxr-xr-x
2022-01-26 10:26
install
149.08
KB
-rwxr-xr-x
2026-06-25 00:26
instmodsh
4.1
KB
-rwxr-xr-x
2022-02-24 09:56
intel-speed-select
116.66
KB
-rwxr-xr-x
2026-08-01 10:34
ionice
15.21
KB
-rwxr-xr-x
2026-04-04 22:15
iostat
55.7
KB
-rwxr-xr-x
2026-04-15 10:16
ipa
987
B
-rwxr-xr-x
2026-05-21 16:19
ipa-getcert
134.52
KB
-rwxr-xr-x
2026-04-14 16:15
ipcmk
23.29
KB
-rwxr-xr-x
2026-04-04 22:15
ipcrm
19.23
KB
-rwxr-xr-x
2026-04-04 22:15
ipcs
39.34
KB
-rwxr-xr-x
2026-04-04 22:15
iptc
29.3
KB
-rwxr-xr-x
2024-10-01 16:48
irqtop
35.27
KB
-rwxr-xr-x
2026-04-04 22:15
isosize
15.15
KB
-rwxr-xr-x
2026-04-04 22:15
ispell
992
B
-rwxr-xr-x
2019-10-08 00:15
isql
39.34
KB
-rwxr-xr-x
2026-03-31 12:14
isql-fb
1.87
MB
-rwxr-xr-x
2026-04-17 16:37
iusql
31.3
KB
-rwxr-xr-x
2026-03-31 12:14
jcat-tool
44.21
KB
-rwxr-xr-x
2022-02-11 20:37
jobs
32
B
-rwxr-xr-x
2024-04-30 14:33
join
51.69
KB
-rwxr-xr-x
2026-06-25 00:26
journalctl
88.11
KB
-rwxr-xr-x
2026-06-25 00:28
jq
31.18
KB
-rwxr-xr-x
2026-05-20 09:55
json_pp
4.78
KB
-rwxr-xr-x
2022-02-16 13:39
json_reformat
19.52
KB
-rwxr-xr-x
2025-03-12 20:01
json_verify
15.3
KB
-rwxr-xr-x
2025-03-12 20:01
json_xs
6.85
KB
-rwxr-xr-x
2025-10-02 11:42
jwhois
80.2
KB
-rwxr-xr-x
2024-01-08 11:10
k5srvutil
1.96
KB
-rwxr-xr-x
2023-07-10 20:58
kadmin
79.69
KB
-rwxr-xr-x
2026-05-20 23:48
kbd_mode
15.69
KB
-rwxr-xr-x
2025-03-13 08:15
kbdinfo
19.38
KB
-rwxr-xr-x
2025-03-13 08:15
kbdrate
19.38
KB
-rwxr-xr-x
2025-03-13 08:15
kcare-scanner-interface
5.96
KB
-rwxr-xr-x
2026-06-24 15:34
kcare-uname
586
B
-rwxr-xr-x
2026-06-24 15:34
kcarectl
1.21
KB
-rwxr-xr-x
2026-06-24 15:34
kdestroy
15.12
KB
-rwxr-xr-x
2026-05-20 23:48
kdumpctl
59.84
KB
-rwxr-xr-x
2026-04-08 18:11
kernel-install
13.7
KB
-rwxr-xr-x
2026-06-25 00:27
keyctl
64.02
KB
-rwxr-xr-x
2023-04-05 19:15
kibitz
10.63
KB
-rwxr-xr-x
2024-04-03 12:23
kill
31.28
KB
-rwxr-xr-x
2026-04-04 22:15
killall
32.95
KB
-rwxr-xr-x
2022-03-25 15:53
kinit
31.16
KB
-rwxr-xr-x
2026-05-20 23:48
klist
31.23
KB
-rwxr-xr-x
2026-05-20 23:48
kmod
165.57
KB
-rwxr-xr-x
2025-09-18 11:41
kpasswd
15.11
KB
-rwxr-xr-x
2026-05-20 23:48
krb5-config
6.59
KB
-rwxr-xr-x
2026-05-20 23:47
ksu
55.61
KB
-rwsr-xr-x
2026-05-20 23:48
kswitch
15.12
KB
-rwxr-xr-x
2026-05-20 23:48
ktutil
27.27
KB
-rwxr-xr-x
2026-05-20 23:48
kvm_stat
62.92
KB
-rwxr-xr-x
2026-07-27 00:17
kvno
23.18
KB
-rwxr-xr-x
2026-05-20 23:48
l2ping
15.16
KB
-rwxr-xr-x
2026-04-04 21:25
last
35.29
KB
-rwxr-xr-x
2026-04-04 22:15
lastb
35.29
KB
-rwxr-xr-x
2026-04-04 22:15
lastlog
28.63
KB
-rwxr-xr-x
2026-04-08 19:49
lchfn
23.13
KB
-rwxr-xr-x
2025-09-21 10:53
lchsh
23.13
KB
-rwxr-xr-x
2025-09-21 10:53
ld
1.71
MB
-rwxr-xr-x
2026-04-04 21:15
ld.bfd
1.71
MB
-rwxr-xr-x
2026-04-04 21:15
ld.gold
2.03
MB
-rwxr-xr-x
2026-04-04 21:15
ld.so
916.79
KB
-rwxr-xr-x
2026-08-03 10:14
ldd
5.32
KB
-rwxr-xr-x
2026-08-03 10:12
lefty
300.45
KB
-rwxr-xr-x
2024-04-03 11:16
less
197.7
KB
-rwxr-xr-x
2025-09-21 12:35
lessecho
15.17
KB
-rwxr-xr-x
2025-09-21 12:35
lesskey
24.61
KB
-rwxr-xr-x
2025-09-21 12:35
lesspipe.sh
3.5
KB
-rwxr-xr-x
2025-09-21 11:44
lex
412.64
KB
-rwxr-xr-x
2022-01-30 08:23
lexgrog
88.19
KB
-rwxr-xr-x
2025-09-21 12:57
libcare-cron
1.07
KB
-rwxr-xr-x
2026-06-24 15:34
libnetcfg
15.41
KB
-rwxr-xr-x
2025-07-28 03:54
libpng-config
2.38
KB
-rwxr-xr-x
2026-06-25 00:19
libpng16-config
2.38
KB
-rwxr-xr-x
2026-06-25 00:19
libtool
359.18
KB
-rwxr-xr-x
2024-10-01 17:49
libtoolize
126.17
KB
-rwxr-xr-x
2024-10-01 17:49
libwmf-fontmap
13.03
KB
-rwxr-xr-x
2022-10-15 12:42
link
31.48
KB
-rwxr-xr-x
2026-06-25 00:26
linux-boot-prober
5.86
KB
-rwxr-xr-x
2025-02-04 09:32
linux32
27.48
KB
-rwxr-xr-x
2026-04-04 22:15
linux64
27.48
KB
-rwxr-xr-x
2026-04-04 22:15
ln
55.95
KB
-rwxr-xr-x
2026-06-25 00:26
lneato
1.51
KB
-rwxr-xr-x
2024-04-03 11:16
loadkeys
200.52
KB
-rwxr-xr-x
2025-03-13 08:15
loadunimap
31.61
KB
-rwxr-xr-x
2025-03-13 08:15
local-getcert
134.52
KB
-rwxr-xr-x
2026-04-14 16:15
locale
59.08
KB
-rwxr-xr-x
2026-08-03 10:14
localectl
31.45
KB
-rwxr-xr-x
2026-06-25 00:28
localedef
314.05
KB
-rwxr-xr-x
2026-08-03 10:14
locate
40.09
KB
-rwx--s--x
2022-02-10 11:02
logger
35.98
KB
-rwxr-xr-x
2026-04-04 22:15
login
43.46
KB
-rwxr-xr-x
2026-04-04 22:15
loginctl
67.96
KB
-rwxr-xr-x
2026-06-25 00:28
logname
31.47
KB
-rwxr-xr-x
2026-06-25 00:26
logresolve
15.41
KB
-rwxr-xr-x
2026-06-10 15:54
look
19.17
KB
-rwxr-xr-x
2026-04-04 22:15
lpunlock
2.56
KB
-rwxr-xr-x
2024-04-03 12:23
ls
137.45
KB
-rwxr-xr-x
2026-06-25 00:26
lsattr
15.18
KB
-rwxr-xr-x
2025-09-21 15:03
lsblk
124.37
KB
-rwxr-xr-x
2026-04-04 22:15
lscpu
108.23
KB
-rwxr-xr-x
2026-04-04 22:15
lsgpio
14.3
KB
-rwxr-xr-x
2026-08-01 10:34
lsiio
22.14
KB
-rwxr-xr-x
2026-08-01 10:34
lsinitrd
11.85
KB
-rwxr-xr-x
2026-06-30 09:56
lsipc
51.5
KB
-rwxr-xr-x
2026-04-04 22:15
lsirq
23.23
KB
-rwxr-xr-x
2026-04-04 22:15
lslocks
31.59
KB
-rwxr-xr-x
2026-04-04 22:15
lslogins
51.5
KB
-rwxr-xr-x
2026-04-04 22:15
lsmem
35.52
KB
-rwxr-xr-x
2026-04-04 22:15
lsns
39.33
KB
-rwxr-xr-x
2026-04-04 22:15
lsof
175.06
KB
-rwxr-xr-x
2022-02-10 06:42
lsphp
937
B
-rwxr-xr-x
2026-05-18 16:41
lsscsi
89.44
KB
-rwxr-xr-x
2022-02-11 08:15
lto-dump
26.59
MB
-rwxr-xr-x
2026-04-04 22:27
lua
23.23
KB
-rwxr-xr-x
2023-09-26 18:28
luac
157.69
KB
-rwxr-xr-x
2023-09-26 18:28
lwp-download
10.05
KB
-rwxr-xr-x
2022-03-25 08:00
lwp-dump
2.65
KB
-rwxr-xr-x
2022-03-25 08:00
lwp-mirror
2.36
KB
-rwxr-xr-x
2022-03-25 08:00
lwp-request
15.82
KB
-rwxr-xr-x
2022-03-25 08:00
m4
240.4
KB
-rwxr-xr-x
2022-03-31 07:28
mac2unix
56.15
KB
-rwxr-xr-x
2022-04-11 22:33
mail
1013.25
KB
-rwxr-xr-x
2025-12-17 11:27
mailx
1013.25
KB
-rwxr-xr-x
2025-12-17 11:27
mailx.s-nail
1013.25
KB
-rwxr-xr-x
2025-12-17 11:27
make
249.8
KB
-rwxr-xr-x
2024-04-02 12:55
make-dummy-cert
614
B
-rwxr-xr-x
2026-07-27 18:12
man
114.91
KB
-rwxr-xr-x
2025-09-21 12:57
man-recode
28.01
KB
-rwxr-xr-x
2025-09-21 12:57
man.man-db
114.91
KB
-rwxr-xr-x
2025-09-21 12:57
mandb
133.01
KB
-rwxr-xr-x
2025-09-21 12:57
manpath
31.82
KB
-rwxr-xr-x
2025-09-21 12:57
mapscrn
31.57
KB
-rwxr-xr-x
2025-03-13 08:15
mariadb
5
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-access
109.34
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-admin
4.78
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-binlog
5.05
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-check
4.77
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-config
15.64
KB
-rwxr-xr-x
2026-05-23 15:59
mariadb-conv
4.51
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-convert-table-format
4.12
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-dump
4.86
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-dumpslow
8.05
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-embedded
23.18
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-find-rows
3.21
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-fix-extensions
1.22
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-hotcopy
34.53
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-import
4.77
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-install-db
22.14
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-plugin
4.48
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-secure-installation
13.48
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-service-convert
2.45
KB
-rwxr-xr-x
2026-05-23 15:01
mariadb-setpermission
17.56
KB
-rwxr-xr-x
2026-05-23 15:25
mariadb-show
4.77
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-slap
4.79
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-tzinfo-to-sql
4.48
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb-upgrade
4.92
MB
-rwxr-xr-x
2026-05-23 16:01
mariadb-waitpid
4.47
MB
-rwxr-xr-x
2026-05-23 15:57
mariadb_config
15.64
KB
-rwxr-xr-x
2026-05-23 15:59
mariadbd-multi
26.71
KB
-rwxr-xr-x
2026-05-23 15:25
mariadbd-safe
30.43
KB
-rwxr-xr-x
2026-05-23 15:25
mariadbd-safe-helper
4.45
MB
-rwxr-xr-x
2026-05-23 16:01
matdump
31.8
KB
-rwxr-xr-x
2025-05-26 11:34
mcookie
27.3
KB
-rwxr-xr-x
2026-04-04 22:15
md5sum
39.45
KB
-rwxr-xr-x
2026-06-25 00:26
mdb_copy
15.7
KB
-rwxr-xr-x
2022-02-10 07:49
mdb_dump
15.84
KB
-rwxr-xr-x
2022-02-10 07:49
mdb_load
23.84
KB
-rwxr-xr-x
2022-02-10 07:49
mdb_stat
15.8
KB
-rwxr-xr-x
2022-02-10 07:49
mdig
51.3
KB
-rwxr-xr-x
2026-06-10 13:21
mesg
15.14
KB
-rwxr-xr-x
2026-04-04 22:15
mirror_server
14.91
KB
-rwxr-xr-x
2025-05-22 11:52
mirror_server_stop
14.91
KB
-rwxr-xr-x
2025-05-22 11:52
mkdir
68.12
KB
-rwxr-xr-x
2026-06-25 00:26
mkfifo
39.64
KB
-rwxr-xr-x
2026-06-25 00:26
mkfontdir
69
B
-rwxr-xr-x
2022-02-11 22:35
mkfontscale
44.77
KB
-rwxr-xr-x
2022-02-11 22:35
mknod
43.68
KB
-rwxr-xr-x
2026-06-25 00:26
mkpasswd-expect
5.58
KB
-rwxr-xr-x
2024-04-03 12:23
mktemp
39.62
KB
-rwxr-xr-x
2026-06-25 00:26
mm2gv
39.45
KB
-rwxr-xr-x
2024-04-03 11:16
mmdblookup
27.72
KB
-rwxr-xr-x
2024-10-01 16:54
modulecmd
654.01
KB
-rwxr-xr-x
2025-09-21 09:06
modulemd-validator
28.39
KB
-rwxr-xr-x
2022-02-09 23:30
modutil
91.91
KB
-rwxr-xr-x
2026-03-23 05:10
mogrify
15.1
KB
-rwxr-xr-x
2026-07-22 08:31
mokutil
61.22
KB
-rwxr-xr-x
2026-04-09 22:34
montage
15.1
KB
-rwxr-xr-x
2026-07-22 08:31
more
43.42
KB
-rwxr-xr-x
2026-04-04 22:15
mosh
16.05
KB
-rwxr-xr-x
2022-10-27 22:51
mosh-client
313.93
KB
-rwxr-xr-x
2022-10-27 22:51
mosh-server
317.93
KB
-rwxr-xr-x
2022-10-27 22:51
mount
47.34
KB
-rwxr-xr-x
2026-04-04 22:15
mountpoint
19.18
KB
-rwxr-xr-x
2026-04-04 22:15
mpris-proxy
101.09
KB
-rwxr-xr-x
2026-04-04 21:25
mpstat
51.59
KB
-rwxr-xr-x
2026-04-15 10:16
msgattrib
27.17
KB
-rwxr-xr-x
2023-09-27 06:53
msgcat
27.14
KB
-rwxr-xr-x
2023-09-27 06:53
msgcmp
27.27
KB
-rwxr-xr-x
2023-09-27 06:53
msgcomm
27.16
KB
-rwxr-xr-x
2023-09-27 06:53
msgconv
23.15
KB
-rwxr-xr-x
2023-09-27 06:53
msgen
23.15
KB
-rwxr-xr-x
2023-09-27 06:53
msgexec
23.15
KB
-rwxr-xr-x
2023-09-27 06:53
msgfilter
35.31
KB
-rwxr-xr-x
2023-09-27 06:53
msgfmt
84.09
KB
-rwxr-xr-x
2023-09-27 06:53
msgfmt.py
7.41
KB
-rwxr-xr-x
2025-10-31 18:40
msgfmt3.9.py
7.41
KB
-rwxr-xr-x
2025-10-31 18:40
msgfmt3.py
7.41
KB
-rwxr-xr-x
2025-10-31 18:40
msggrep
116.41
KB
-rwxr-xr-x
2023-09-27 06:53
msginit
67.44
KB
-rwxr-xr-x
2023-09-27 06:53
msgmerge
75.48
KB
-rwxr-xr-x
2023-09-27 06:53
msgunfmt
35.33
KB
-rwxr-xr-x
2023-09-27 06:53
msguniq
23.15
KB
-rwxr-xr-x
2023-09-27 06:53
msql2mysql
1.42
KB
-rwxr-xr-x
2026-05-23 15:25
mv
140.95
KB
-rwxr-xr-x
2026-06-25 00:26
my_print_defaults
4.48
MB
-rwxr-xr-x
2026-05-23 15:57
myisam_ftdump
4.77
MB
-rwxr-xr-x
2026-05-23 16:01
myisamchk
4.88
MB
-rwxr-xr-x
2026-05-23 16:01
myisamlog
4.75
MB
-rwxr-xr-x
2026-05-23 16:01
myisampack
4.79
MB
-rwxr-xr-x
2026-05-23 16:01
mysql
5
MB
-rwxr-xr-x
2026-05-23 15:57
mysql_config
4.5
KB
-rwxr-xr-x
2026-05-23 15:25
mysql_embedded
23.18
MB
-rwxr-xr-x
2026-05-23 15:57
mysql_find_rows
3.21
KB
-rwxr-xr-x
2026-05-23 15:25
mysql_fix_extensions
1.22
KB
-rwxr-xr-x
2026-05-23 15:25
mysql_install_db
22.14
KB
-rwxr-xr-x
2026-05-23 15:25
mysql_plugin
4.48
MB
-rwxr-xr-x
2026-05-23 15:57
mysql_tzinfo_to_sql
4.48
MB
-rwxr-xr-x
2026-05-23 15:57
mysql_upgrade
4.92
MB
-rwxr-xr-x
2026-05-23 16:01
mysql_waitpid
4.47
MB
-rwxr-xr-x
2026-05-23 15:57
mysqlaccess
109.34
KB
-rwxr-xr-x
2026-05-23 15:25
mysqladmin
4.78
MB
-rwxr-xr-x
2026-05-23 15:57
mysqlbinlog
5.05
MB
-rwxr-xr-x
2026-05-23 15:57
mysqlcheck
4.77
MB
-rwxr-xr-x
2026-05-23 15:57
mysqld_multi
26.71
KB
-rwxr-xr-x
2026-05-23 15:25
mysqld_safe
30.43
KB
-rwxr-xr-x
2026-05-23 15:25
mysqld_safe_helper
4.45
MB
-rwxr-xr-x
2026-05-23 16:01
mysqldump
4.86
MB
-rwxr-xr-x
2026-05-23 15:57
mysqlimport
4.77
MB
-rwxr-xr-x
2026-05-23 15:57
mysqlshow
4.77
MB
-rwxr-xr-x
2026-05-23 15:57
mysqlslap
4.79
MB
-rwxr-xr-x
2026-05-23 15:57
mytop
72.03
KB
-rwxr-xr-x
2026-05-23 15:25
nail
1013.25
KB
-rwxr-xr-x
2025-12-17 11:27
named-rrchecker
23.14
KB
-rwxr-xr-x
2026-06-10 13:21
namei
23.23
KB
-rwxr-xr-x
2026-04-04 22:15
nano
346.2
KB
-rwxr-xr-x
2025-03-13 03:12
nbackup
1.48
MB
-rwxr-xr-x
2026-04-17 16:37
nc
51.86
KB
-rwxr-xr-x
2026-05-20 09:15
ncat
416.12
KB
-rwxr-xr-x
2026-04-04 23:08
ncurses6-config
8.13
KB
-rwxr-xr-x
2025-09-21 09:23
ncursesw6-config
8.13
KB
-rwxr-xr-x
2025-09-21 09:23
ndptool
27.42
KB
-rwxr-xr-x
2024-10-01 17:03
neato
15.23
KB
-rwxr-xr-x
2024-04-03 11:16
needs-restarting
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
neqn
916
B
-rwxr-xr-x
2022-02-01 10:44
net-snmp-create-v3-user
3.29
KB
-rwxr-xr-x
2026-04-10 02:29
netaddr
961
B
-rwxr-xr-x
2025-03-13 12:05
netcat
51.86
KB
-rwxr-xr-x
2026-05-20 09:15
netstat
156.85
KB
-rwxr-xr-x
2024-10-02 19:02
newgidmap
41.95
KB
-rwxr-xr-x
2026-04-08 19:49
newgrp
40.77
KB
-rwxr-xr-x
2026-04-08 19:49
newuidmap
37.93
KB
-rwxr-xr-x
2026-04-08 19:49
nf-ct-add
15.89
KB
-rwxr-xr-x
2025-03-17 12:12
nf-ct-events
15.33
KB
-rwxr-xr-x
2025-03-17 12:12
nf-ct-list
15.93
KB
-rwxr-xr-x
2025-03-17 12:12
nf-exp-add
20.3
KB
-rwxr-xr-x
2025-03-17 12:12
nf-exp-delete
16.09
KB
-rwxr-xr-x
2025-03-17 12:12
nf-exp-list
15.93
KB
-rwxr-xr-x
2025-03-17 12:12
nf-log
15.31
KB
-rwxr-xr-x
2025-03-17 12:12
nf-monitor
15.33
KB
-rwxr-xr-x
2025-03-17 12:12
nf-queue
15.32
KB
-rwxr-xr-x
2025-03-17 12:12
ngettext
35.34
KB
-rwxr-xr-x
2023-09-27 06:53
nice
35.48
KB
-rwxr-xr-x
2026-06-25 00:26
nisdomainname
23.84
KB
-rwxr-xr-x
2022-02-14 11:22
nl
100.51
KB
-rwxr-xr-x
2026-06-25 00:26
nl-addr-add
15.77
KB
-rwxr-xr-x
2025-03-17 12:12
nl-addr-delete
15.82
KB
-rwxr-xr-x
2025-03-17 12:12
nl-addr-list
19.84
KB
-rwxr-xr-x
2025-03-17 12:12
nl-class-add
15.75
KB
-rwxr-xr-x
2025-03-17 12:12
nl-class-delete
15.66
KB
-rwxr-xr-x
2025-03-17 12:12
nl-class-list
15.63
KB
-rwxr-xr-x
2025-03-17 12:12
nl-classid-lookup
15.5
KB
-rwxr-xr-x
2025-03-17 12:12
nl-cls-add
19.81
KB
-rwxr-xr-x
2025-03-17 12:12
nl-cls-delete
15.73
KB
-rwxr-xr-x
2025-03-17 12:12
nl-cls-list
15.69
KB
-rwxr-xr-x
2025-03-17 12:12
nl-fib-lookup
15.52
KB
-rwxr-xr-x
2025-03-17 12:12
nl-link-enslave
15.29
KB
-rwxr-xr-x
2025-03-17 12:12
nl-link-ifindex2name
15.29
KB
-rwxr-xr-x
2025-03-17 12:12
nl-link-list
15.67
KB
-rwxr-xr-x
2025-03-17 12:12
nl-link-name2ifindex
15.29
KB
-rwxr-xr-x
2025-03-17 12:12
nl-link-release
15.29
KB
-rwxr-xr-x
2025-03-17 12:12
nl-link-set
15.74
KB
-rwxr-xr-x
2025-03-17 12:12
nl-link-stats
15.53
KB
-rwxr-xr-x
2025-03-17 12:12
nl-list-caches
15.3
KB
-rwxr-xr-x
2025-03-17 12:12
nl-list-sockets
15.29
KB
-rwxr-xr-x
2025-03-17 12:12
nl-monitor
15.48
KB
-rwxr-xr-x
2025-03-17 12:12
nl-neigh-add
15.66
KB
-rwxr-xr-x
2025-03-17 12:12
nl-neigh-delete
15.7
KB
-rwxr-xr-x
2025-03-17 12:12
nl-neigh-list
15.61
KB
-rwxr-xr-x
2025-03-17 12:12
nl-neightbl-list
15.45
KB
-rwxr-xr-x
2025-03-17 12:12
nl-nh-list
15.48
KB
-rwxr-xr-x
2025-03-17 12:12
nl-pktloc-lookup
15.53
KB
-rwxr-xr-x
2025-03-17 12:12
nl-qdisc-add
15.7
KB
-rwxr-xr-x
2025-03-17 12:12
nl-qdisc-delete
15.66
KB
-rwxr-xr-x
2025-03-17 12:12
nl-qdisc-list
19.69
KB
-rwxr-xr-x
2025-03-17 12:12
nl-route-add
19.84
KB
-rwxr-xr-x
2025-03-17 12:12
nl-route-delete
19.91
KB
-rwxr-xr-x
2025-03-17 12:12
nl-route-get
15.31
KB
-rwxr-xr-x
2025-03-17 12:12
nl-route-list
15.86
KB
-rwxr-xr-x
2025-03-17 12:12
nl-rule-list
15.48
KB
-rwxr-xr-x
2025-03-17 12:12
nl-tctree-list
15.6
KB
-rwxr-xr-x
2025-03-17 12:12
nl-util-addr
15.29
KB
-rwxr-xr-x
2025-03-17 12:12
nm
44.72
KB
-rwxr-xr-x
2026-04-04 21:15
nm-online
23.38
KB
-rwxr-xr-x
2026-06-03 11:03
nmcli
1.03
MB
-rwxr-xr-x
2026-06-03 11:03
nmtui
842.45
KB
-rwxr-xr-x
2026-06-03 11:03
nmtui-connect
842.45
KB
-rwxr-xr-x
2026-06-03 11:03
nmtui-edit
842.45
KB
-rwxr-xr-x
2026-06-03 11:03
nmtui-hostname
842.45
KB
-rwxr-xr-x
2026-06-03 11:03
nohup
35.4
KB
-rwxr-xr-x
2026-06-25 00:26
nop
15.33
KB
-rwxr-xr-x
2024-04-03 11:16
notify-send
19.75
KB
-rwxr-xr-x
2022-02-10 02:06
nproc
35.5
KB
-rwxr-xr-x
2026-06-25 00:26
nroff
3.21
KB
-rwxr-xr-x
2022-02-01 10:44
nsenter
27.47
KB
-rwxr-xr-x
2026-04-04 22:15
nslookup
112.52
KB
-rwxr-xr-x
2026-06-10 13:21
nss-policy-check
15.16
KB
-rwxr-xr-x
2026-03-23 05:10
nsupdate
71.8
KB
-rwxr-xr-x
2026-06-10 13:21
numfmt
55.63
KB
-rwxr-xr-x
2026-06-25 00:26
objcopy
185.37
KB
-rwxr-xr-x
2026-04-04 21:15
objdump
413.09
KB
-rwxr-xr-x
2026-04-04 21:15
od
63.88
KB
-rwxr-xr-x
2026-06-25 00:26
odbc_config
15.11
KB
-rwxr-xr-x
2026-03-31 12:14
odbcinst
23.16
KB
-rwxr-xr-x
2026-03-31 12:14
oddjob_request
23.2
KB
-rwxr-xr-x
2023-04-07 00:20
openssl
1.07
MB
-rwxr-xr-x
2026-07-27 18:12
openvt
23.73
KB
-rwxr-xr-x
2025-03-13 08:15
orc-bugreport
23.31
KB
-rwxr-xr-x
2024-10-02 21:27
os-prober
5.78
KB
-rwxr-xr-x
2025-02-04 09:32
osage
15.23
KB
-rwxr-xr-x
2024-04-03 11:16
osinfo-db-export
27.35
KB
-rwxr-xr-x
2023-04-05 21:38
osinfo-db-import
27.3
KB
-rwxr-xr-x
2023-04-05 21:38
osinfo-db-path
15.3
KB
-rwxr-xr-x
2023-04-05 21:38
osinfo-db-validate
23.4
KB
-rwxr-xr-x
2023-04-05 21:38
osinfo-detect
27.4
KB
-rwxr-xr-x
2023-04-05 20:51
osinfo-install-script
31.77
KB
-rwxr-xr-x
2023-04-05 20:51
osinfo-query
32.19
KB
-rwxr-xr-x
2023-04-05 20:51
osql
9.48
KB
-rwxr-xr-x
2025-05-28 13:07
p11-kit
240.14
KB
-rwxr-xr-x
2026-08-03 14:23
package-cleanup
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
page_owner_sort
26.13
KB
-rwxr-xr-x
2026-08-01 10:34
pango-list
19.11
KB
-rwxr-xr-x
2023-04-07 10:19
pango-segmentation
19.13
KB
-rwxr-xr-x
2023-04-07 10:19
pango-view
60.17
KB
-rwxr-xr-x
2023-04-07 10:19
paperconf
15.8
KB
-rwxr-xr-x
2022-02-10 01:15
passmass
4.63
KB
-rwxr-xr-x
2024-04-03 12:23
passwd
31.89
KB
-rwsr-xr-x
2022-04-14 14:45
paste
35.39
KB
-rwxr-xr-x
2026-06-25 00:26
pasteurize
964
B
-rwxr-xr-x
2023-01-17 20:12
pasteurize-3
964
B
-rwxr-xr-x
2023-01-17 20:12
pasteurize-3.9
964
B
-rwxr-xr-x
2023-01-17 20:12
patch
195.02
KB
-rwxr-xr-x
2022-03-25 15:42
patchwork
15.23
KB
-rwxr-xr-x
2024-04-03 11:16
pathchk
35.47
KB
-rwxr-xr-x
2026-06-25 00:26
pathfix.py
6.63
KB
-rwxr-xr-x
2025-10-31 18:40
pathfix3.9.py
6.63
KB
-rwxr-xr-x
2025-10-31 18:40
pcre-config
2.09
KB
-rwxr-xr-x
2024-10-02 21:53
pcre2-config
1.91
KB
-rwxr-xr-x
2024-10-02 21:57
pdf2dsc
701
B
-rwxr-xr-x
2025-05-14 16:03
pdf2ps
913
B
-rwxr-xr-x
2025-05-14 16:03
pdfimage
1.37
MB
-rwxr-xr-x
2022-07-29 16:20
pdns_control
479.88
KB
-rwxr-xr-x
2026-06-26 18:41
pdnsutil
4.82
MB
-rwxr-xr-x
2026-06-26 18:41
peekfd
15.8
KB
-rwxr-xr-x
2022-03-25 15:53
perl
15.13
KB
-rwxr-xr-x
2025-07-28 03:54
perl5.32.1
15.13
KB
-rwxr-xr-x
2025-07-28 03:54
perlbug
43.81
KB
-rwxr-xr-x
2025-07-28 03:54
perldoc
118
B
-rwxr-xr-x
2022-02-14 23:51
perlivp
10.56
KB
-rwxr-xr-x
2025-07-28 03:53
perlml
14.49
KB
-rwxr-xr-x
2025-10-02 19:40
perlthanks
43.81
KB
-rwxr-xr-x
2025-07-28 03:54
perror
4.67
MB
-rwxr-xr-x
2026-05-23 16:01
pf2afm
502
B
-rwxr-xr-x
2025-05-14 16:03
pfbtopfa
520
B
-rwxr-xr-x
2025-05-14 16:03
pftp
100.66
KB
-rwxr-xr-x
2022-01-30 23:49
pgrep
31.42
KB
-rwxr-xr-x
2024-04-30 16:43
php
937
B
-rwxr-xr-x
2026-05-18 16:41
pic
201.72
KB
-rwxr-xr-x
2022-02-01 10:44
piconv
8.08
KB
-rwxr-xr-x
2022-02-11 16:42
pidof
23.33
KB
-rwxr-xr-x
2024-04-30 16:43
pidstat
51.59
KB
-rwxr-xr-x
2026-04-15 10:16
pidwait
31.42
KB
-rwxr-xr-x
2024-04-30 16:43
pigz
132.84
KB
-rwxr-xr-x
2025-03-12 23:06
ping
89.33
KB
-rwxr-xr-x
2025-10-20 12:44
pinky
35.41
KB
-rwxr-xr-x
2026-06-25 00:26
pip
648
B
-rwxr-xr-x
2026-05-23 08:59
pip-3
648
B
-rwxr-xr-x
2026-05-23 08:59
pip-3.9
648
B
-rwxr-xr-x
2026-05-23 08:59
pip3
648
B
-rwxr-xr-x
2026-05-23 08:59
pip3.9
648
B
-rwxr-xr-x
2026-05-23 08:59
pipewire
15.16
KB
-rwxr-xr-x
2026-07-30 11:04
pipewire-aes67
15.16
KB
-rwxr-xr-x
2026-07-30 11:04
pipewire-avb
15.16
KB
-rwxr-xr-x
2026-07-30 11:04
pipewire-pulse
15.16
KB
-rwxr-xr-x
2026-07-30 11:04
pipewire-vulkan
15.16
KB
-rwxr-xr-x
2026-07-30 11:04
pk12util
72.42
KB
-rwxr-xr-x
2026-03-23 05:10
pkaction
19.16
KB
-rwxr-xr-x
2025-09-21 09:51
pkcheck
23.17
KB
-rwxr-xr-x
2025-09-21 09:51
pkexec
31.18
KB
-rwsr-xr-x
2025-09-21 09:51
pkg-config
335
B
-rwxr-xr-x
2023-04-06 20:27
pkgconf
45.36
KB
-rwxr-xr-x
2023-04-06 20:27
pkill
31.42
KB
-rwxr-xr-x
2024-04-30 16:43
pkla-admin-identities
23.96
KB
-rwxr-xr-x
2022-03-25 20:04
pkla-check-authorization
36.1
KB
-rwxr-xr-x
2022-03-25 20:04
pkttyagent
23.16
KB
-rwxr-xr-x
2025-09-21 09:51
pl2pm
4.43
KB
-rwxr-xr-x
2025-07-28 03:54
pldd
23.37
KB
-rwxr-xr-x
2026-08-03 10:14
plesk_configure
346
B
-rwxr-xr-x
2022-10-03 16:40
pmap
35.39
KB
-rwxr-xr-x
2024-04-30 16:43
png-fix-itxt
15.11
KB
-rwxr-xr-x
2026-06-25 00:20
pngfix
59.56
KB
-rwxr-xr-x
2026-06-25 00:20
pod2html
4.04
KB
-rwxr-xr-x
2025-07-28 03:54
pod2man
14.68
KB
-rwxr-xr-x
2022-03-25 12:10
pod2text
10.55
KB
-rwxr-xr-x
2022-03-25 12:10
pod2usage
4.01
KB
-rwxr-xr-x
2022-02-11 16:01
podchecker
3.57
KB
-rwxr-xr-x
2022-02-11 19:01
post-grohtml
199.76
KB
-rwxr-xr-x
2022-02-01 10:44
powernow-k8-decode
14.13
KB
-rwxr-xr-x
2026-08-01 10:34
pphs
408
B
-rwxr-xr-x
2025-05-14 16:03
pr
72.1
KB
-rwxr-xr-x
2026-06-25 00:26
pre-grohtml
92.92
KB
-rwxr-xr-x
2022-02-01 10:44
precat
5.53
KB
-rwxr-xr-x
2019-10-08 00:15
preconv
56.27
KB
-rwxr-xr-x
2022-02-01 10:44
preunzip
5.53
KB
-rwxr-xr-x
2019-10-08 00:15
prezip
5.53
KB
-rwxr-xr-x
2019-10-08 00:15
prezip-bin
15.69
KB
-rwxr-xr-x
2022-01-26 21:47
printafm
399
B
-rwxr-xr-x
2025-05-14 16:03
printenv
31.29
KB
-rwxr-xr-x
2026-06-25 00:26
printf
51.58
KB
-rwxr-xr-x
2026-06-25 00:26
prlimit
27.75
KB
-rwxr-xr-x
2026-04-04 22:15
procan
35.43
KB
-rwxr-xr-x
2026-02-12 18:05
protoc
23.32
KB
-rwxr-xr-x
2026-02-23 22:25
protoc-c
158.2
KB
-rwxr-xr-x
2023-09-26 20:08
protoc-gen-c
158.2
KB
-rwxr-xr-x
2023-09-26 20:08
prove
13.24
KB
-rwxr-xr-x
2022-02-16 11:58
prtstat
23.84
KB
-rwxr-xr-x
2022-03-25 15:53
prune
15.41
KB
-rwxr-xr-x
2024-04-03 11:16
ps
141.15
KB
-rwxr-xr-x
2024-04-30 16:43
ps2ascii
635
B
-rwxr-xr-x
2025-05-14 16:03
ps2epsi
1.24
KB
-rwxr-xr-x
2025-05-14 16:03
ps2pdf
276
B
-rwxr-xr-x
2025-05-14 16:03
ps2pdf12
219
B
-rwxr-xr-x
2025-05-14 16:03
ps2pdf13
219
B
-rwxr-xr-x
2025-05-14 16:03
ps2pdf14
219
B
-rwxr-xr-x
2025-05-14 16:03
ps2pdfwr
1.06
KB
-rwxr-xr-x
2025-05-14 16:03
ps2ps
651
B
-rwxr-xr-x
2025-05-14 16:03
ps2ps2
673
B
-rwxr-xr-x
2025-05-14 16:03
psfaddtable
31.43
KB
-rwxr-xr-x
2025-03-13 08:15
psfgettable
31.43
KB
-rwxr-xr-x
2025-03-13 08:15
psfstriptable
31.43
KB
-rwxr-xr-x
2025-03-13 08:15
psfxtable
31.43
KB
-rwxr-xr-x
2025-03-13 08:15
pslog
15.7
KB
-rwxr-xr-x
2022-03-25 15:53
pstree
36.9
KB
-rwxr-xr-x
2022-03-25 15:53
pstree.x11
36.9
KB
-rwxr-xr-x
2022-03-25 15:53
ptar
3.39
KB
-rwxr-xr-x
2026-08-03 04:41
ptardiff
2.49
KB
-rwxr-xr-x
2026-08-03 04:41
ptargrep
4.2
KB
-rwxr-xr-x
2026-08-03 04:41
ptx
128.82
KB
-rwxr-xr-x
2026-06-25 00:26
pure-pw
38.59
KB
-rwxr-xr-x
2025-06-06 14:14
pure-pwconvert
14.52
KB
-rwxr-xr-x
2025-06-06 14:14
pure-statsdecode
14.52
KB
-rwxr-xr-x
2025-06-06 14:14
pv
65.35
KB
-rwxr-xr-x
2021-12-15 13:55
pw-jack
1.32
KB
-rwxr-xr-x
2026-07-30 11:03
pwd
35.52
KB
-rwxr-xr-x
2026-06-25 00:26
pwdx
15.28
KB
-rwxr-xr-x
2024-04-30 16:43
pwmake
15.7
KB
-rwxr-xr-x
2022-02-10 03:37
pwscore
15.7
KB
-rwxr-xr-x
2022-02-10 03:37
pydoc
78
B
-rwxr-xr-x
2026-07-15 11:47
pydoc3
78
B
-rwxr-xr-x
2026-07-15 11:47
pydoc3.9
78
B
-rwxr-xr-x
2026-07-15 11:47
pygettext.py
21.03
KB
-rwxr-xr-x
2025-10-31 18:40
pygettext3.9.py
21.03
KB
-rwxr-xr-x
2025-10-31 18:40
pygettext3.py
21.03
KB
-rwxr-xr-x
2025-10-31 18:40
python-argcomplete-check-easy-install-script
2.5
KB
-rwxr-xr-x
2022-03-25 12:44
python-argcomplete-tcsh
318
B
-rwxr-xr-x
2022-03-25 12:44
python-config
61
B
-rwxr-xr-x
2026-07-15 11:47
python-html2text
980
B
-rwxr-xr-x
2022-03-26 14:11
python3
15.09
KB
-rwxr-xr-x
2026-07-15 11:47
python3-config
61
B
-rwxr-xr-x
2026-07-15 11:47
python3-html2text
980
B
-rwxr-xr-x
2022-03-26 14:11
python3.9
15.09
KB
-rwxr-xr-x
2026-07-15 11:47
python3.9-config
61
B
-rwxr-xr-x
2026-07-15 11:47
python3.9-x86_64-config
3.54
KB
-rwxr-xr-x
2026-07-15 11:38
qli
1.75
MB
-rwxr-xr-x
2026-04-17 16:37
quota
81.67
KB
-rwsr-xr-x
2025-03-12 20:44
quotasync
64.88
KB
-rwxr-xr-x
2025-03-12 20:44
ranlib
55.99
KB
-rwxr-xr-x
2026-04-04 21:15
read
32
B
-rwxr-xr-x
2024-04-30 14:33
readelf
667.28
KB
-rwxr-xr-x
2026-04-04 21:15
readlink
39.5
KB
-rwxr-xr-x
2026-06-25 00:26
realpath
39.59
KB
-rwxr-xr-x
2026-06-25 00:26
recode
31.93
KB
-rwxr-xr-x
2022-11-02 11:35
recode-sr-latin
15.13
KB
-rwxr-xr-x
2023-09-27 06:53
red
92
B
-rwxr-xr-x
2022-01-30 05:02
register-python-argcomplete
1.88
KB
-rwxr-xr-x
2022-03-25 12:44
rename
23.23
KB
-rwxr-xr-x
2026-04-04 22:15
renew-dummy-cert
729
B
-rwxr-xr-x
2026-07-27 18:12
renice
15.16
KB
-rwxr-xr-x
2026-04-04 22:15
replace
4.46
MB
-rwxr-xr-x
2026-05-23 15:57
repo-graph
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
repoclosure
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
repodiff
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
repomanage
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
repoquery
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
reposync
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
repotrack
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
rescan-scsi-bus.sh
38.09
KB
-rwxr-xr-x
2025-03-13 12:20
reset
27.34
KB
-rwxr-xr-x
2025-09-21 09:23
resizecons
27.55
KB
-rwxr-xr-x
2025-03-13 08:15
resolve_stack_dump
4.48
MB
-rwxr-xr-x
2026-05-23 16:01
resolveip
4.47
MB
-rwxr-xr-x
2026-05-23 16:01
restore_infected
1019
B
-rwxr-xr-x
2024-01-23 10:35
rev
15.16
KB
-rwxr-xr-x
2026-04-04 22:15
rftp
8.68
KB
-rwxr-xr-x
2024-04-03 12:23
rg
4.45
MB
-rwxr-xr-x
2024-10-19 10:50
rlogin-cwd
505
B
-rwxr-xr-x
2024-04-03 12:23
rm
59.99
KB
-rwxr-xr-x
2026-06-25 00:26
rmdir
43.42
KB
-rwxr-xr-x
2026-06-25 00:26
rnano
346.2
KB
-rwxr-xr-x
2025-03-13 03:12
rpcbind
59.89
KB
-rwxr-xr-x
2024-04-03 13:53
rpcinfo
35.58
KB
-rwxr-xr-x
2024-04-03 13:53
rpm
23.63
KB
-rwxr-xr-x
2026-04-05 01:49
rpm2archive
23.32
KB
-rwxr-xr-x
2026-04-05 01:49
rpm2cpio
15.12
KB
-rwxr-xr-x
2026-04-05 01:49
rpmdb
19.74
KB
-rwxr-xr-x
2026-04-05 01:49
rpmkeys
15.59
KB
-rwxr-xr-x
2026-04-05 01:49
rpmquery
23.63
KB
-rwxr-xr-x
2026-04-05 01:49
rpmverify
23.63
KB
-rwxr-xr-x
2026-04-05 01:49
rrdcached
89.02
KB
-rwxr-xr-x
2026-07-01 11:57
rrdcgi
35.45
KB
-rwxr-xr-x
2026-07-01 11:57
rrdcreate
128.59
KB
-rwxr-xr-x
2026-07-01 11:57
rrdinfo
128.59
KB
-rwxr-xr-x
2026-07-01 11:57
rrdtool
35.16
KB
-rwxr-xr-x
2026-07-01 11:57
rrdupdate
128.59
KB
-rwxr-xr-x
2026-07-01 11:57
rsync
574.77
KB
-rwxr-xr-x
2026-06-16 18:30
rsync-ssl
5.01
KB
-rwxr-xr-x
2021-09-26 23:44
run-parts
1.94
KB
-rwxr-xr-x
2022-04-11 19:54
run-with-aspell
89
B
-rwxr-xr-x
2022-01-26 21:47
runcon
35.46
KB
-rwxr-xr-x
2026-06-25 00:26
rvi
1.38
MB
-rwxr-xr-x
2026-07-29 22:08
rview
1.38
MB
-rwxr-xr-x
2026-07-29 22:08
rvim
3.84
MB
-rwxr-xr-x
2026-07-29 22:08
s-nail
1013.25
KB
-rwxr-xr-x
2025-12-17 11:27
sadf
458.84
KB
-rwxr-xr-x
2026-04-15 10:16
sar
135.67
KB
-rwxr-xr-x
2026-04-15 10:16
sasl2-sample-client
23.39
KB
-rwxr-xr-x
2025-09-25 11:46
sasl2-sample-server
23.21
KB
-rwxr-xr-x
2025-09-25 11:46
sccmap
23.37
KB
-rwxr-xr-x
2024-04-03 11:16
scl
39.55
KB
-rwxr-xr-x
2023-04-07 01:57
scl_enabled
262
B
-rwxr-xr-x
2021-07-27 15:14
scl_source
1.88
KB
-rwxr-xr-x
2021-07-27 15:14
scp
132.91
KB
-rwxr-xr-x
2026-07-29 23:09
screen
484.21
KB
-rwxr-sr-x
2022-01-04 07:53
script
51.58
KB
-rwxr-xr-x
2026-04-04 22:15
scriptlive
43.48
KB
-rwxr-xr-x
2026-04-04 22:15
scriptreplay
35.3
KB
-rwxr-xr-x
2026-04-04 22:15
scsi-rescan
38.09
KB
-rwxr-xr-x
2025-03-13 12:20
scsi_logging_level
8.39
KB
-rwxr-xr-x
2016-03-25 02:46
scsi_mandat
3.52
KB
-rwxr-xr-x
2017-10-22 17:32
scsi_readcap
1.3
KB
-rwxr-xr-x
2013-05-15 13:35
scsi_ready
1.1
KB
-rwxr-xr-x
2013-05-15 13:35
scsi_satl
3.74
KB
-rwxr-xr-x
2020-07-17 03:50
scsi_start
1.26
KB
-rwxr-xr-x
2013-05-15 13:35
scsi_stop
1.44
KB
-rwxr-xr-x
2013-05-15 13:35
scsi_temperature
940
B
-rwxr-xr-x
2013-05-15 13:35
sdiff
44.2
KB
-rwxr-xr-x
2022-01-29 18:15
secon
28.25
KB
-rwxr-xr-x
2026-04-04 23:52
sed
112.84
KB
-rwxr-xr-x
2026-04-04 20:24
sedismod
289.02
KB
-rwxr-xr-x
2024-04-03 10:07
sedispol
219.93
KB
-rwxr-xr-x
2024-04-03 10:07
selfsign-getcert
134.52
KB
-rwxr-xr-x
2026-04-14 16:15
semodule_expand
15.12
KB
-rwxr-xr-x
2026-04-04 23:52
semodule_link
15.13
KB
-rwxr-xr-x
2026-04-04 23:52
semodule_package
19.16
KB
-rwxr-xr-x
2026-04-04 23:52
semodule_unpackage
15.13
KB
-rwxr-xr-x
2026-04-04 23:52
seq
47.59
KB
-rwxr-xr-x
2026-06-25 00:26
sestatus
23.13
KB
-rwxr-xr-x
2026-04-04 23:52
setarch
27.48
KB
-rwxr-xr-x
2026-04-04 22:15
setfacl
43.38
KB
-rwxr-xr-x
2026-07-21 15:58
setfattr
20.16
KB
-rwxr-xr-x
2022-01-28 12:44
setfont
51.82
KB
-rwxr-xr-x
2025-03-13 08:15
setkeycodes
15.38
KB
-rwxr-xr-x
2025-03-13 08:15
setleds
19.45
KB
-rwxr-xr-x
2025-03-13 08:15
setmetamode
15.48
KB
-rwxr-xr-x
2025-03-13 08:15
setpriv
39.34
KB
-rwxr-xr-x
2026-04-04 22:15
setsid
15.15
KB
-rwxr-xr-x
2026-04-04 22:15
setterm
35.33
KB
-rwxr-xr-x
2026-04-04 22:15
setup-nsssysinit
1.51
KB
-rwxr-xr-x
2026-03-23 05:10
setup-nsssysinit.sh
1.51
KB
-rwxr-xr-x
2026-03-23 05:10
setvtrgb
15.44
KB
-rwxr-xr-x
2025-03-13 08:15
sfdp
15.23
KB
-rwxr-xr-x
2024-04-03 11:16
sftp
157.09
KB
-rwxr-xr-x
2026-07-29 23:09
sg
40.77
KB
-rwxr-xr-x
2026-04-08 19:49
sg_bg_ctl
15.52
KB
-rwxr-xr-x
2025-03-13 12:20
sg_compare_and_write
27.95
KB
-rwxr-xr-x
2025-03-13 12:20
sg_copy_results
24.24
KB
-rwxr-xr-x
2025-03-13 12:20
sg_dd
55.56
KB
-rwxr-xr-x
2025-03-13 12:20
sg_decode_sense
15.84
KB
-rwxr-xr-x
2025-03-13 12:20
sg_emc_trespass
15.3
KB
-rwxr-xr-x
2025-03-13 12:20
sg_format
40.41
KB
-rwxr-xr-x
2025-03-13 12:20
sg_get_config
36.34
KB
-rwxr-xr-x
2025-03-13 12:20
sg_get_elem_status
27.82
KB
-rwxr-xr-x
2025-03-13 12:20
sg_get_lba_status
23.97
KB
-rwxr-xr-x
2025-03-13 12:20
sg_ident
15.6
KB
-rwxr-xr-x
2025-03-13 12:20
sg_inq
120.88
KB
-rwxr-xr-x
2025-03-13 12:20
sg_logs
153.07
KB
-rwxr-xr-x
2025-03-13 12:20
sg_luns
23.83
KB
-rwxr-xr-x
2025-03-13 12:20
sg_map
19.36
KB
-rwxr-xr-x
2025-03-13 12:20
sg_map26
27.82
KB
-rwxr-xr-x
2025-03-13 12:20
sg_modes
47.16
KB
-rwxr-xr-x
2025-03-13 12:20
sg_opcodes
36.13
KB
-rwxr-xr-x
2025-03-13 12:20
sg_persist
37.1
KB
-rwxr-xr-x
2025-03-13 12:20
sg_prevent
15.5
KB
-rwxr-xr-x
2025-03-13 12:20
sg_raw
27.92
KB
-rwxr-xr-x
2025-03-13 12:20
sg_rbuf
23.77
KB
-rwxr-xr-x
2025-03-13 12:20
sg_rdac
15.28
KB
-rwxr-xr-x
2025-03-13 12:20
sg_read
27.37
KB
-rwxr-xr-x
2025-03-13 12:20
sg_read_attr
37.7
KB
-rwxr-xr-x
2025-03-13 12:20
sg_read_block_limits
15.55
KB
-rwxr-xr-x
2025-03-13 12:20
sg_read_buffer
28.52
KB
-rwxr-xr-x
2025-03-13 12:20
sg_read_long
15.72
KB
-rwxr-xr-x
2025-03-13 12:20
sg_readcap
23.84
KB
-rwxr-xr-x
2025-03-13 12:20
sg_reassign
15.66
KB
-rwxr-xr-x
2025-03-13 12:20
sg_referrals
15.67
KB
-rwxr-xr-x
2025-03-13 12:20
sg_rep_pip
15.59
KB
-rwxr-xr-x
2025-03-13 12:20
sg_rep_zones
28.01
KB
-rwxr-xr-x
2025-03-13 12:20
sg_requests
23.77
KB
-rwxr-xr-x
2025-03-13 12:20
sg_reset
15.7
KB
-rwxr-xr-x
2025-03-13 12:20
sg_reset_wp
15.62
KB
-rwxr-xr-x
2025-03-13 12:20
sg_rmsn
15.51
KB
-rwxr-xr-x
2025-03-13 12:20
sg_rtpg
15.61
KB
-rwxr-xr-x
2025-03-13 12:20
sg_safte
23.72
KB
-rwxr-xr-x
2025-03-13 12:20
sg_sanitize
28.02
KB
-rwxr-xr-x
2025-03-13 12:20
sg_sat_identify
19.76
KB
-rwxr-xr-x
2025-03-13 12:20
sg_sat_phy_event
20.03
KB
-rwxr-xr-x
2025-03-13 12:20
sg_sat_read_gplog
19.74
KB
-rwxr-xr-x
2025-03-13 12:20
sg_sat_set_features
19.7
KB
-rwxr-xr-x
2025-03-13 12:20
sg_scan
19.36
KB
-rwxr-xr-x
2025-03-13 12:20
sg_seek
19.91
KB
-rwxr-xr-x
2025-03-13 12:20
sg_senddiag
28.27
KB
-rwxr-xr-x
2025-03-13 12:20
sg_ses
121.22
KB
-rwxr-xr-x
2025-03-13 12:20
sg_ses_microcode
28.42
KB
-rwxr-xr-x
2025-03-13 12:20
sg_start
19.89
KB
-rwxr-xr-x
2025-03-13 12:20
sg_stpg
23.73
KB
-rwxr-xr-x
2025-03-13 12:20
sg_stream_ctl
19.72
KB
-rwxr-xr-x
2025-03-13 12:20
sg_sync
15.68
KB
-rwxr-xr-x
2025-03-13 12:20
sg_test_rwbuf
19.69
KB
-rwxr-xr-x
2025-03-13 12:20
sg_timestamp
23.8
KB
-rwxr-xr-x
2025-03-13 12:20
sg_turs
27.78
KB
-rwxr-xr-x
2025-03-13 12:20
sg_unmap
23.8
KB
-rwxr-xr-x
2025-03-13 12:20
sg_verify
19.92
KB
-rwxr-xr-x
2025-03-13 12:20
sg_vpd
119.66
KB
-rwxr-xr-x
2025-03-13 12:20
sg_wr_mode
23.73
KB
-rwxr-xr-x
2025-03-13 12:20
sg_write_buffer
28.27
KB
-rwxr-xr-x
2025-03-13 12:20
sg_write_long
15.77
KB
-rwxr-xr-x
2025-03-13 12:20
sg_write_same
27.99
KB
-rwxr-xr-x
2025-03-13 12:20
sg_write_verify
27.83
KB
-rwxr-xr-x
2025-03-13 12:20
sg_write_x
60.75
KB
-rwxr-xr-x
2025-03-13 12:20
sg_xcopy
43.54
KB
-rwxr-xr-x
2025-03-13 12:20
sg_zone
19.81
KB
-rwxr-xr-x
2025-03-13 12:20
sginfo
73.76
KB
-rwxr-xr-x
2025-03-13 12:20
sgm_dd
39.52
KB
-rwxr-xr-x
2025-03-13 12:20
sgp_dd
43.71
KB
-rwxr-xr-x
2025-03-13 12:20
sh
1.32
MB
-rwxr-xr-x
2024-04-30 14:33
sha1hmac
35.27
KB
-rwxr-xr-x
2024-04-01 19:12
sha1sum
39.44
KB
-rwxr-xr-x
2026-06-25 00:26
sha224hmac
35.27
KB
-rwxr-xr-x
2024-04-01 19:12
sha224sum
39.45
KB
-rwxr-xr-x
2026-06-25 00:26
sha256hmac
35.27
KB
-rwxr-xr-x
2024-04-01 19:12
sha256sum
39.45
KB
-rwxr-xr-x
2026-06-25 00:26
sha384hmac
35.27
KB
-rwxr-xr-x
2024-04-01 19:12
sha384sum
39.45
KB
-rwxr-xr-x
2026-06-25 00:26
sha512hmac
35.27
KB
-rwxr-xr-x
2024-04-01 19:12
sha512sum
39.45
KB
-rwxr-xr-x
2026-06-25 00:26
shasum
9.66
KB
-rwxr-xr-x
2022-02-11 16:24
showconsolefont
19.46
KB
-rwxr-xr-x
2025-03-13 08:15
showkey
19.4
KB
-rwxr-xr-x
2025-03-13 08:15
shred
51.68
KB
-rwxr-xr-x
2026-06-25 00:26
shuf
47.8
KB
-rwxr-xr-x
2026-06-25 00:26
sieve-dump
37.88
KB
-rwxr-xr-x
2026-07-15 21:53
sieve-filter
43.34
KB
-rwxr-xr-x
2026-07-15 21:53
sieve-test
43.27
KB
-rwxr-xr-x
2026-07-15 21:53
sievec
38.13
KB
-rwxr-xr-x
2026-07-15 21:53
signver
39.6
KB
-rwxr-xr-x
2026-03-23 05:10
size
31.61
KB
-rwxr-xr-x
2026-04-04 21:15
skill
31.4
KB
-rwxr-xr-x
2024-04-30 16:43
slabinfo
42.95
KB
-rwxr-xr-x
2026-08-01 10:34
slabtop
23.42
KB
-rwxr-xr-x
2024-04-30 16:43
sleep
31.47
KB
-rwxr-xr-x
2026-06-25 00:26
slencheck
15.13
KB
-rwxr-xr-x
2026-03-31 12:14
sm3hmac
35.27
KB
-rwxr-xr-x
2024-04-01 19:12
snice
31.4
KB
-rwxr-xr-x
2024-04-30 16:43
snmpconf
25.44
KB
-rwxr-xr-x
2026-04-10 02:30
socat
386.92
KB
-rwxr-xr-x
2026-02-12 18:05
soelim
32.18
KB
-rwxr-xr-x
2022-02-01 10:44
soelim.groff
32.18
KB
-rwxr-xr-x
2022-02-01 10:44
sort
112.89
KB
-rwxr-xr-x
2026-06-25 00:26
sotruss
4.18
KB
-rwxr-xr-x
2026-08-03 10:12
spell
125
B
-rwxr-xr-x
2019-10-08 00:15
splain
18.96
KB
-rwxr-xr-x
2025-07-28 03:54
split
52.11
KB
-rwxr-xr-x
2026-06-25 00:26
sprof
35.45
KB
-rwxr-xr-x
2026-08-03 10:14
sqlite3
1.54
MB
-rwxr-xr-x
2026-05-20 17:09
ssh
896.38
KB
-rwxr-xr-x
2026-07-29 23:09
ssh-add
305.72
KB
-rwxr-xr-x
2026-07-29 23:09
ssh-agent
317.7
KB
-rwxr-xr-x
2026-07-29 23:09
ssh-copy-id
13.84
KB
-rwxr-xr-x
2026-07-29 23:09
ssh-keygen
475.41
KB
-rwxr-xr-x
2026-07-29 23:09
ssh-keyscan
338.23
KB
-rwxr-xr-x
2026-07-29 23:09
ssltap
71.53
KB
-rwxr-xr-x
2026-03-23 05:10
sss_ssh_authorizedkeys
23.29
KB
-rwxr-xr-x
2026-07-23 19:31
sss_ssh_knownhostsproxy
27.3
KB
-rwxr-xr-x
2026-07-23 19:31
stat
79.85
KB
-rwxr-xr-x
2026-06-25 00:26
stdbuf
43.55
KB
-rwxr-xr-x
2026-06-25 00:26
strace
2.08
MB
-rwxr-xr-x
2025-03-12 19:11
strace-log-merge
1.83
KB
-rwxr-xr-x
2024-07-19 12:18
stream
15.09
KB
-rwxr-xr-x
2026-07-22 08:31
streamzip
7.66
KB
-rwxr-xr-x
2026-06-29 05:31
strings
31.74
KB
-rwxr-xr-x
2026-04-04 21:15
strip
185.36
KB
-rwxr-xr-x
2026-04-04 21:15
stty
75.63
KB
-rwxr-xr-x
2026-06-25 00:26
su
55.6
KB
-rwsr-x---
2026-04-04 22:15
su_domain
504
B
-rwx------
2026-07-12 13:44
sudo
290.71
KB
---s--x--x
2026-05-21 01:23
sudoedit
290.71
KB
---s--x--x
2026-05-21 01:23
sudoreplay
97.55
KB
---x--x--x
2026-05-21 01:23
sum
35.38
KB
-rwxr-xr-x
2026-06-25 00:26
svn
445.38
KB
-rwxr-xr-x
2025-09-22 13:45
svnadmin
135.74
KB
-rwxr-xr-x
2025-09-22 13:45
svndumpfilter
43.48
KB
-rwxr-xr-x
2025-09-22 13:45
svnfsfs
43.37
KB
-rwxr-xr-x
2025-09-22 13:45
svnlook
91.56
KB
-rwxr-xr-x
2025-09-22 13:45
svnrdump
55.57
KB
-rwxr-xr-x
2025-09-22 13:45
svnserve
112.25
KB
-rwxr-xr-x
2025-09-22 13:45
svnsync
67.74
KB
-rwxr-xr-x
2025-09-22 13:45
svnversion
15.13
KB
-rwxr-xr-x
2025-09-22 13:45
sw-engine
24.14
MB
-rwxr-xr-x
1990-01-01 12:00
sxpm
31.58
KB
-rwxr-xr-x
2024-04-01 18:32
sync
35.34
KB
-rwxr-xr-x
2026-06-25 00:26
systemctl
298.41
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-analyze
201.58
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-ask-password
19.46
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-cat
19.27
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-cgls
23.47
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-cgtop
39.41
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-creds
43.8
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-cryptenroll
72.08
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-delta
27.31
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-detect-virt
19.26
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-dissect
47.78
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-escape
23.26
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-firstboot
56.09
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-hwdb
15.28
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-id128
27.38
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-inhibit
23.31
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-machine-id-setup
19.55
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-mount
60.03
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-notify
23.31
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-path
19.26
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-repart
169.27
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-run
64.02
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-socket-activate
27.35
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-stdio-bridge
23.27
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-sysext
47.76
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-sysusers
72.35
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-tmpfiles
124.54
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-tty-ask-password-agent
39.37
KB
-rwxr-xr-x
2026-06-25 00:28
systemd-umount
60.03
KB
-rwxr-xr-x
2026-06-25 00:28
tabs
19.16
KB
-rwxr-xr-x
2025-09-21 09:23
tac
100.39
KB
-rwxr-xr-x
2026-06-25 00:26
tail
67.9
KB
-rwxr-xr-x
2026-06-25 00:26
tapestat
27.37
KB
-rwxr-xr-x
2026-04-15 10:16
tar
518.13
KB
-rwxr-xr-x
2026-04-04 21:56
taskset
23.23
KB
-rwxr-xr-x
2026-04-04 22:15
tbl
130.86
KB
-rwxr-xr-x
2022-02-01 10:44
tcamgr
27.88
KB
-rwxr-xr-x
2022-02-11 13:34
tcamttest
27.88
KB
-rwxr-xr-x
2022-02-11 13:34
tcatest
64.32
KB
-rwxr-xr-x
2022-02-11 13:34
tcbmgr
31.84
KB
-rwxr-xr-x
2022-02-11 13:34
tcbmttest
55.92
KB
-rwxr-xr-x
2022-02-11 13:34
tcbtest
72.3
KB
-rwxr-xr-x
2022-02-11 13:34
tcfmgr
27.82
KB
-rwxr-xr-x
2022-02-11 13:34
tcfmttest
39.92
KB
-rwxr-xr-x
2022-02-11 13:34
tcftest
51.91
KB
-rwxr-xr-x
2022-02-11 13:34
tchmgr
27.81
KB
-rwxr-xr-x
2022-02-11 13:34
tchmttest
51.93
KB
-rwxr-xr-x
2022-02-11 13:34
tchtest
64.27
KB
-rwxr-xr-x
2022-02-11 13:34
tclsh
15.69
KB
-rwxr-xr-x
2022-10-15 21:29
tclsh8.6
15.69
KB
-rwxr-xr-x
2022-10-15 21:29
tcptraceroute
1.55
KB
-rwxr-xr-x
2025-03-12 23:57
tctmgr
35.83
KB
-rwxr-xr-x
2022-02-11 13:34
tctmttest
51.89
KB
-rwxr-xr-x
2022-02-11 13:34
tcttest
63.92
KB
-rwxr-xr-x
2022-02-11 13:34
tcucodec
35.8
KB
-rwxr-xr-x
2022-02-11 13:34
tcumttest
27.87
KB
-rwxr-xr-x
2022-02-11 13:34
tcutest
79.95
KB
-rwxr-xr-x
2022-02-11 13:34
tdspool
253.95
KB
-rwxr-xr-x
2025-05-28 13:07
team2bond
15.76
KB
-rwxr-xr-x
2023-01-23 19:53
teamd
166.59
KB
-rwxr-xr-x
2023-01-23 19:53
teamdctl
37.12
KB
-rwxr-xr-x
2023-01-23 19:53
teamnl
23.26
KB
-rwxr-xr-x
2023-01-23 19:53
tee
35.49
KB
-rwxr-xr-x
2026-06-25 00:26
telnet
107.22
KB
-rwxr-xr-x
2022-02-11 07:24
test
43.61
KB
-rwxr-xr-x
2026-06-25 00:26
text2pdf
864.73
KB
-rwxr-xr-x
2022-07-29 16:20
tic
87.79
KB
-rwxr-xr-x
2025-09-21 09:23
timed-read
307
B
-rwxr-xr-x
2024-04-03 12:23
timed-run
281
B
-rwxr-xr-x
2024-04-03 12:23
timedatectl
47.66
KB
-rwxr-xr-x
2026-06-25 00:28
timeout
35.98
KB
-rwxr-xr-x
2026-06-25 00:26
tload
19.34
KB
-rwxr-xr-x
2024-04-30 16:43
tmon
42.48
KB
-rwxr-xr-x
2026-08-01 10:34
tmpwatch
36.03
KB
-rwxr-xr-x
2022-02-11 11:52
toe
23.23
KB
-rwxr-xr-x
2025-09-21 09:23
top
132.27
KB
-rwxr-xr-x
2024-04-30 16:43
touch
91.84
KB
-rwxr-xr-x
2026-06-25 00:26
tput
27.25
KB
-rwxr-xr-x
2025-09-21 09:23
tr
43.68
KB
-rwxr-xr-x
2026-06-25 00:26
tracepath
19.22
KB
-rwxr-xr-x
2025-10-20 12:44
traceroute
77.29
KB
-rwxr-xr-x
2025-03-12 23:57
traceroute6
77.29
KB
-rwxr-xr-x
2025-03-12 23:57
tracker3
611.08
KB
-rwxr-xr-x
2023-01-23 15:49
tred
15.35
KB
-rwxr-xr-x
2024-04-03 11:16
troff
732.07
KB
-rwxr-xr-x
2022-02-01 10:44
true
27.28
KB
-rwxr-xr-x
2026-06-25 00:26
truncate
35.48
KB
-rwxr-xr-x
2026-06-25 00:26
trust
268.88
KB
-rwxr-xr-x
2026-08-03 14:23
tset
27.34
KB
-rwxr-xr-x
2025-09-21 09:23
tsort
47.6
KB
-rwxr-xr-x
2026-06-25 00:26
tsql
253.89
KB
-rwxr-xr-x
2025-05-28 13:07
tty
31.46
KB
-rwxr-xr-x
2026-06-25 00:26
turbostat
168.56
KB
-rwxr-xr-x
2026-08-01 10:34
twopi
15.23
KB
-rwxr-xr-x
2024-04-03 11:16
type
32
B
-rwxr-xr-x
2024-04-30 14:33
tzselect
14.99
KB
-rwxr-xr-x
2026-08-03 10:11
uapi
3.32
MB
-rwxr-xr-x
2026-07-24 02:06
udevadm
587.85
KB
-rwxr-xr-x
2026-06-25 00:28
ul
23.26
KB
-rwxr-xr-x
2026-04-04 22:15
ulimit
34
B
-rwxr-xr-x
2024-04-30 14:33
ulockmgr_server
19.38
KB
-rwxr-xr-x
2025-03-12 19:30
umask
33
B
-rwxr-xr-x
2024-04-30 14:33
umount
35.27
KB
-rwxr-xr-x
2026-04-04 22:15
unalias
35
B
-rwxr-xr-x
2024-04-30 14:33
uname
31.48
KB
-rwxr-xr-x
2026-06-25 00:26
uname26
27.48
KB
-rwxr-xr-x
2026-04-04 22:15
unbuffer
644
B
-rwxr-xr-x
2024-04-03 12:23
unexpand
39.53
KB
-rwxr-xr-x
2026-06-25 00:26
unflatten
15.37
KB
-rwxr-xr-x
2024-04-03 11:16
unicode_start
2.57
KB
-rwxr-xr-x
2025-03-13 08:14
unicode_stop
367
B
-rwxr-xr-x
2012-02-27 10:27
uniq
43.63
KB
-rwxr-xr-x
2026-06-25 00:26
unix2dos
56.13
KB
-rwxr-xr-x
2022-04-11 22:33
unix2mac
56.13
KB
-rwxr-xr-x
2022-04-11 22:33
unlink
31.47
KB
-rwxr-xr-x
2026-06-25 00:26
unpigz
132.84
KB
-rwxr-xr-x
2025-03-12 23:06
unshare
31.55
KB
-rwxr-xr-x
2026-04-04 22:15
unxz
84.94
KB
-rwxr-xr-x
2022-06-08 08:30
unzip
195.98
KB
-rwxr-xr-x
2026-04-09 11:24
unzipsfx
87.7
KB
-rwxr-xr-x
2026-04-09 11:24
update-ca-trust
4.36
KB
-rwxr-xr-x
2025-11-19 09:34
update-crypto-policies
87
B
-rwxr-xr-x
2026-02-24 11:47
update-gtk-immodules
316
B
-rwxr-xr-x
2023-04-07 07:55
update-mime-database
59.87
KB
-rwxr-xr-x
2023-04-06 23:20
updatedb
44.24
KB
-rwxr-xr-x
2022-02-10 11:02
upower
23.88
KB
-rwxr-xr-x
2022-02-11 07:06
uptime
15.29
KB
-rwxr-xr-x
2024-04-30 16:43
url
4.5
KB
-rwx------
2026-07-12 13:44
users
31.5
KB
-rwxr-xr-x
2026-06-25 00:26
usleep
15.29
KB
-rwxr-xr-x
2025-03-12 19:47
utmpdump
23.21
KB
-rwxr-xr-x
2026-04-04 22:15
uuidgen
19.16
KB
-rwxr-xr-x
2026-04-04 22:15
uuidparse
23.21
KB
-rwxr-xr-x
2026-04-04 22:15
vdir
137.45
KB
-rwxr-xr-x
2026-06-25 00:26
vi
1.38
MB
-rwxr-xr-x
2026-07-29 22:08
view
146
B
-rwxr-xr-x
2026-07-29 22:08
vim
3.84
MB
-rwxr-xr-x
2026-07-29 22:08
vimdiff
3.84
MB
-rwxr-xr-x
2026-07-29 22:08
vimdot
1.06
KB
-rwxr-xr-x
2024-04-03 11:16
vimtutor
2.07
KB
-rwxr-xr-x
2026-07-29 22:08
vlock
23.62
KB
-rwxr-xr-x
2025-03-13 08:15
vmstat
39.41
KB
-rwxr-xr-x
2024-04-30 16:43
vnstat
127.95
KB
-rwxr-xr-x
2022-05-18 09:05
w
23.37
KB
-rwxr-xr-x
2024-04-30 16:43
wait
32
B
-rwxr-xr-x
2024-04-30 14:33
wall
23.23
KB
-rwxr-xr-x
2026-04-04 22:15
watch
27.87
KB
-rwxr-xr-x
2024-04-30 16:43
watchgnupg
23.2
KB
-rwxr-xr-x
2026-01-15 21:34
wc
43.53
KB
-rwxr-xr-x
2026-06-25 00:26
wdctl
31.33
KB
-rwxr-xr-x
2026-04-04 22:15
weather
2.19
KB
-rwxr-xr-x
2024-04-03 12:23
wget
521.41
KB
-rwxr-xr-x
2024-09-03 11:58
whatis
48.52
KB
-rwxr-xr-x
2025-09-21 12:57
whatis.man-db
48.52
KB
-rwxr-xr-x
2025-09-21 12:57
whereis
31.84
KB
-rwxr-xr-x
2026-04-04 22:15
which
27.89
KB
-rwxr-xr-x
2025-08-05 06:19
whiptail
31.93
KB
-rwxr-xr-x
2022-02-10 13:07
who
51.59
KB
-rwxr-xr-x
2026-06-25 00:26
whoami
31.47
KB
-rwxr-xr-x
2026-06-25 00:26
whois
80.2
KB
-rwxr-xr-x
2024-01-08 11:10
whois.md
156.64
KB
-rwxr-xr-x
2022-10-26 00:16
wireplumber
23.63
KB
-rwxr-xr-x
2026-04-15 10:19
wmf2eps
19.72
KB
-rwxr-xr-x
2022-10-15 12:42
wmf2fig
19.81
KB
-rwxr-xr-x
2022-10-15 12:42
wmf2gd
15.81
KB
-rwxr-xr-x
2022-10-15 12:42
wmf2svg
19.82
KB
-rwxr-xr-x
2022-10-15 12:42
wmf2x
15.7
KB
-rwxr-xr-x
2022-10-15 12:42
word-list-compress
15.7
KB
-rwxr-xr-x
2022-01-26 21:47
wp-cli.phar
6.81
MB
-rwxr-xr-x
2026-07-12 13:55
wpctl
72.03
KB
-rwxr-xr-x
2026-04-15 10:19
wpexec
19.6
KB
-rwxr-xr-x
2026-04-15 10:19
write
23.24
KB
-rwxr-xr-x
2026-04-04 22:15
wsrep_sst_backup
2.39
KB
-rwxr-xr-x
2026-05-23 15:25
wsrep_sst_common
67.46
KB
-rw-r--r--
2026-05-23 15:25
wsrep_sst_mariabackup
49.27
KB
-rwxr-xr-x
2026-05-23 15:25
wsrep_sst_mysqldump
8.1
KB
-rwxr-xr-x
2026-05-23 15:25
wsrep_sst_rsync
29.92
KB
-rwxr-xr-x
2026-05-23 15:25
wsrep_sst_rsync_wan
29.92
KB
-rwxr-xr-x
2026-05-23 15:25
x86_64
27.48
KB
-rwxr-xr-x
2026-04-04 22:15
x86_64-redhat-linux-c++
1.05
MB
-rwxr-xr-x
2026-04-04 22:27
x86_64-redhat-linux-g++
1.05
MB
-rwxr-xr-x
2026-04-04 22:27
x86_64-redhat-linux-gcc
1.04
MB
-rwxr-xr-x
2026-04-04 22:27
x86_64-redhat-linux-gcc-11
1.04
MB
-rwxr-xr-x
2026-04-04 22:27
x86_64-redhat-linux-gnu-pkg-config
829
B
-rwxr-xr-x
2023-04-06 20:27
x86_energy_perf_policy
38.73
KB
-rwxr-xr-x
2026-08-01 10:34
xargs
64.09
KB
-rwxr-xr-x
2024-10-02 21:04
xb-tool
31.47
KB
-rwxr-xr-x
2026-04-09 12:26
xdg-dbus-proxy
56.54
KB
-rwxr-xr-x
2022-10-15 20:05
xgettext
296.7
KB
-rwxr-xr-x
2023-09-27 06:53
xkibitz
4.75
KB
-rwxr-xr-x
2024-04-03 12:23
xml2-config
1.83
KB
-rwxr-xr-x
2022-01-16 17:37
xmlcatalog
23.16
KB
-rwxr-xr-x
2026-07-14 21:46
xmllint
80.55
KB
-rwxr-xr-x
2026-07-14 21:46
xmlwf
39.63
KB
-rwxr-xr-x
2026-06-04 13:47
xslt-config
2.58
KB
-rwxr-xr-x
2015-05-10 14:11
xsltproc
31.23
KB
-rwxr-xr-x
2026-06-25 00:22
xsubpp
4.96
KB
-rwxr-xr-x
2022-02-16 08:56
xxd
19.32
KB
-rwxr-xr-x
2026-07-29 22:08
xz
84.94
KB
-rwxr-xr-x
2022-06-08 08:30
xzcat
84.94
KB
-rwxr-xr-x
2022-06-08 08:30
xzcmp
6.48
KB
-rwxr-xr-x
2022-06-08 08:30
xzdec
15.85
KB
-rwxr-xr-x
2022-06-08 08:30
xzdiff
6.48
KB
-rwxr-xr-x
2022-06-08 08:30
xzegrep
5.77
KB
-rwxr-xr-x
2022-06-08 08:30
xzfgrep
5.77
KB
-rwxr-xr-x
2022-06-08 08:30
xzgrep
5.77
KB
-rwxr-xr-x
2022-06-08 08:30
xzless
1.76
KB
-rwxr-xr-x
2022-06-08 08:30
xzmore
2.12
KB
-rwxr-xr-x
2022-06-08 08:30
yat2m
40.04
KB
-rwxr-xr-x
2022-02-09 23:24
yes
31.31
KB
-rwxr-xr-x
2026-06-25 00:26
ypdomainname
23.84
KB
-rwxr-xr-x
2022-02-14 11:22
yum
2.04
KB
-rwxr-xr-x
2026-05-20 19:48
yum-builddep
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
yum-config-manager
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
yum-debug-dump
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
yum-debug-restore
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
yum-groups-manager
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
yumdownloader
3.6
KB
-rwxr-xr-x
2026-04-15 12:44
zcat
1.94
KB
-rwxr-xr-x
2022-10-15 17:26
zcmp
1.64
KB
-rwxr-xr-x
2022-10-15 17:26
zdiff
6.31
KB
-rwxr-xr-x
2022-10-15 17:26
zdump
27.34
KB
-rwxr-xr-x
2026-08-03 10:14
zegrep
33
B
-rwxr-xr-x
2022-10-15 17:26
zfgrep
33
B
-rwxr-xr-x
2022-10-15 17:26
zforce
2.04
KB
-rwxr-xr-x
2022-10-15 17:26
zgrep
7.93
KB
-rwxr-xr-x
2022-10-15 17:26
zip
221.09
KB
-rwxr-xr-x
2023-04-07 14:02
zipcloak
75.7
KB
-rwxr-xr-x
2023-04-07 14:02
zipdetails
58.56
KB
-rwxr-xr-x
2026-06-29 05:31
zipgrep
2.89
KB
-rwxr-xr-x
2008-10-10 17:40
zipinfo
195.98
KB
-rwxr-xr-x
2026-04-09 11:24
zipnote
67.61
KB
-rwxr-xr-x
2023-04-07 14:02
zipsplit
63.58
KB
-rwxr-xr-x
2023-04-07 14:02
zless
2.16
KB
-rwxr-xr-x
2022-10-15 17:26
zmore
1.8
KB
-rwxr-xr-x
2022-10-15 17:26
znew
4.47
KB
-rwxr-xr-x
2022-10-15 17:26
zone2json
1.35
MB
-rwxr-xr-x
2026-06-26 18:41
zone2sql
1.37
MB
-rwxr-xr-x
2026-06-26 18:41
zsoelim
32.18
KB
-rwxr-xr-x
2022-02-01 10:44
Save
Rename
#!/usr/bin/bash set -ue # Copyright (C) 2017-2024 MariaDB # Copyright (C) 2010-2022 Codership Oy # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; version 2 of the License. # # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. # # You should have received a copy of the GNU General Public License # along with this program; see the file COPYING. If not, write to the # Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston # MA 02110-1335 USA. # This is a reference script for rsync-based state snapshot transfer. . $(dirname "$0")/wsrep_sst_common wsrep_check_programs rsync RSYNC_REAL_PID=0 # rsync process id STUNNEL_REAL_PID=0 # stunnel process id MODULE="${WSREP_SST_OPT_MODULE:-rsync_sst}" RSYNC_PID="$DATA/$MODULE.pid" RSYNC_CONF="$DATA/$MODULE.conf" STUNNEL_CONF="$DATA/stunnel.conf" STUNNEL_PID="$DATA/stunnel.pid" MAGIC_FILE="$DATA/rsync_sst_complete" cleanup_joiner() { # Since this is invoked just after exit NNN local estatus=$? if [ $estatus -ne 0 ]; then wsrep_log_error "Cleanup after exit with status: $estatus" elif [ -z "${coords:-}" ]; then estatus=32 wsrep_log_error "Failed to get current position" fi local failure=0 [ "$(pwd)" != "$OLD_PWD" ] && cd "$OLD_PWD" wsrep_log_info "Joiner cleanup: rsync PID=$RSYNC_REAL_PID," \ "stunnel PID=$STUNNEL_REAL_PID" if [ -n "$STUNNEL" ]; then if cleanup_pid $STUNNEL_REAL_PID "$STUNNEL_PID" "$STUNNEL_CONF"; then if [ $RSYNC_REAL_PID -eq 0 ]; then if [ -r "$RSYNC_PID" ]; then RSYNC_REAL_PID=$(cat "$RSYNC_PID" 2>/dev/null || :) if [ -z "$RSYNC_REAL_PID" ]; then RSYNC_REAL_PID=0 fi fi fi else wsrep_log_warning "stunnel cleanup failed." failure=1 fi fi if [ $failure -eq 0 ]; then if cleanup_pid $RSYNC_REAL_PID "$RSYNC_PID" "$RSYNC_CONF"; then [ -f "$MAGIC_FILE" ] && rm -f "$MAGIC_FILE" || : [ -f "$BINLOG_TAR_FILE" ] && rm -f "$BINLOG_TAR_FILE" || : else wsrep_log_warning "rsync cleanup failed." fi fi if [ "$WSREP_SST_OPT_ROLE" = 'joiner' ]; then wsrep_cleanup_progress_file fi [ -f "$SST_PID" ] && rm -f "$SST_PID" || : wsrep_log_info "Joiner cleanup done." exit $estatus } check_pid_and_port() { local pid_file="$1" local pid=$2 local addr="$3" local port="$4" local utils='rsync|stunnel' local port_info local final if ! check_port $pid "$port" "$utils"; then if [ $raw_socket_check -ne 0 ]; then return 1 elif [ $ss_available -ne 0 -o $sockstat_available -ne 0 ]; then if [ $ss_available -ne 0 ]; then port_info=$($socket_utility $ss_opts -t "( sport = :$port )" 2>/dev/null | \ grep -E '[[:space:]]users:[[:space:]]?\(' | \ grep -o -E "([^[:space:]]+[[:space:]]+){4}[^[:space:]]+" || :) else if [ $sockstat_available -gt 1 ]; then # The sockstat command on FreeBSD does not return # the connection state without special option, but # it supports filtering by connection state. # Additionally, the sockstat utility on FreeBSD # produces an one extra column: port_info=$($socket_utility $sockstat_opts "$port" 2>/dev/null | \ grep -o -E "([^[:space:]]+[[:space:]]+){5}[^[:space:]]+" || :) else port_info=$($socket_utility $sockstat_opts "$port" 2>/dev/null | \ grep -E '[[:space:]]LISTEN([[:space:]]|$)' | \ grep -o -E "([^[:space:]]+[[:space:]]+){4}[^[:space:]]+" || :) fi fi final='$' else port_info=$($socket_utility $lsof_opts -i ":$port" 2>/dev/null | \ grep -w -F '(LISTEN)' || :) final='[[:space:]]' fi local busy=0 if [ -n "$port_info" ]; then local address='(\*|[0-9a-fA-F]*(:[0-9a-fA-F]*){1,7}|[0-9]+(\.[0-9]+){3})' local filter="[[:space:]]($address|\\[$address\\])(%[^:]+)?:$port$final" echo "$port_info" | grep -q -E "$filter" && busy=1 fi if [ $busy -eq 0 ]; then if ! ps -p $pid >/dev/null 2>&1; then wsrep_log_error \ "the rsync or stunnel daemon (PID: $pid)" \ "terminated unexpectedly." exit 16 # EBUSY fi return 1 fi local rc=0 check_port $pid "$port" "$utils" || rc=$? if [ $rc -eq 16 ]; then # We will ignore the return code EBUSY, which indicates # a failed attempt to run the utility for retrieving # socket information (on some systems): return 1 elif [ $rc -ne 0 ]; then wsrep_log_error "rsync or stunnel daemon port '$port'" \ "has been taken by another program" exit 16 # EBUSY fi fi if [ $raw_socket_check -ne 0 ]; then return 0 fi check_pid "$pid_file" && [ "$CHECK_PID" -eq "$pid" ] } get_binlog if [ -n "$WSREP_SST_OPT_BINLOG" ]; then binlog_dir=$(dirname "$WSREP_SST_OPT_BINLOG") binlog_base=$(basename "$WSREP_SST_OPT_BINLOG") fi BINLOG_TAR_FILE="$DATA_DIR/wsrep_sst_binlog.tar" ar_log_dir="$DATA_DIR" ib_log_dir="$DATA_DIR" ib_home_dir="$DATA_DIR" ib_undo_dir="$DATA_DIR" encgroups='--mysqld|sst' check_server_ssl_config SSTKEY="$tkey" SSTCERT="$tpem" SSTCA="$tcert" SSTCAP="$tcap" SSLMODE=$(parse_cnf "$encgroups" 'ssl-mode' | tr '[[:lower:]]' '[[:upper:]]') if [ -z "$SSLMODE" ]; then # Implicit verification if CA is set and the SSL mode # is not specified by user: if [ -n "$SSTCA$SSTCAP" ]; then STUNNEL_BIN=$(commandex 'stunnel') if [ -n "$STUNNEL_BIN" ]; then SSLMODE='VERIFY_CA' fi # Require SSL by default if SSL key and cert are present: elif [ -n "$SSTKEY" -a -n "$SSTCERT" ]; then SSLMODE='REQUIRED' fi else case "$SSLMODE" in 'VERIFY_IDENTITY'|'VERIFY_CA'|'REQUIRED'|'DISABLED') ;; *) wsrep_log_error "Unrecognized ssl-mode option: '$SSLMODE'" exit 22 # EINVAL ;; esac fi if [ -n "$SSTKEY" -a -n "$SSTCERT" ]; then verify_cert_matches_key "$SSTCERT" "$SSTKEY" fi CAFILE_OPT="" CAPATH_OPT="" if [ -n "$SSTCA$SSTCAP" ]; then if [ -n "$SSTCA" ]; then CAFILE_OPT="CAfile = $SSTCA" fi if [ -n "$SSTCAP" ]; then CAPATH_OPT="CApath = $SSTCAP" fi if [ -n "$SSTCERT" ]; then verify_ca_matches_cert "$SSTCERT" "$SSTCA" "$SSTCAP" fi fi VERIFY_OPT="" CHECK_OPT="" CHECK_OPT_LOCAL="" if [ "${SSLMODE#VERIFY}" != "$SSLMODE" ]; then if [ "$SSLMODE" = 'VERIFY_IDENTITY' ]; then VERIFY_OPT='verifyPeer = yes' else VERIFY_OPT='verifyChain = yes' fi if [ -z "$SSTCA$SSTCAP" ]; then wsrep_log_error "Can't have ssl-mode='$SSLMODE' without CA file or path" exit 22 # EINVAL fi if [ -n "$WSREP_SST_OPT_REMOTE_USER" ]; then CHECK_OPT="checkHost = $(safe WSREP_SST_OPT_REMOTE_USER)" elif [ "$WSREP_SST_OPT_ROLE" = 'donor' ]; then # check if the address is an ip-address (v4 or v6): if echo "$WSREP_SST_OPT_HOST_UNESCAPED" | \ grep -q -E '^([0-9]+(\.[0-9]+){3}|[0-9a-fA-F]*(:[0-9a-fA-F]*){1,7})$' then CHECK_OPT="checkIP = $WSREP_SST_OPT_HOST_UNESCAPED" else CHECK_OPT="checkHost = $WSREP_SST_OPT_HOST" fi if is_local_ip "$WSREP_SST_OPT_HOST_UNESCAPED"; then CHECK_OPT_LOCAL='checkHost = localhost' fi fi fi STUNNEL="" if [ -n "$SSLMODE" -a "$SSLMODE" != 'DISABLED' ]; then if [ -z "${STUNNEL_BIN+x}" ]; then STUNNEL_BIN=$(commandex 'stunnel') fi if [ -n "$STUNNEL_BIN" ]; then wsrep_log_info "Using stunnel for SSL encryption: CA: '$SSTCA'," \ "CAPATH='$SSTCAP', ssl-mode='$SSLMODE'" STUNNEL="$STUNNEL_BIN $STUNNEL_CONF" fi fi readonly SECRET_TAG='secret' readonly BYPASS_TAG='bypass' wait_previous_sst # give some time for stunnel from the previous SST to complete: check_round=0 while check_pid "$STUNNEL_PID" 1 "$STUNNEL_CONF"; do wsrep_log_info "Lingering stunnel daemon found at startup," \ "waiting for it to exit" check_round=$(( check_round+1 )) if [ $check_round -eq 30 ]; then wsrep_log_error "stunnel daemon still running..." exit 114 # EALREADY fi sleep 1 done # give some time for rsync from the previous SST to complete: check_round=0 while check_pid "$RSYNC_PID" 1 "$RSYNC_CONF"; do wsrep_log_info "Lingering rsync daemon found at startup," \ "waiting for it to exit" check_round=$(( check_round+1 )) if [ $check_round -eq 30 ]; then wsrep_log_error "rsync daemon still running..." exit 114 # EALREADY fi sleep 1 done [ -f "$MAGIC_FILE" ] && rm -f "$MAGIC_FILE" [ -f "$BINLOG_TAR_FILE" ] && rm -f "$BINLOG_TAR_FILE" RC=0 if [ "$WSREP_SST_OPT_ROLE" = 'donor' ]; then if [ -n "$STUNNEL" ]; then cat << EOF > "$STUNNEL_CONF" key = $SSTKEY cert = $SSTCERT ${CAFILE_OPT} ${CAPATH_OPT} foreground = yes pid = $STUNNEL_PID debug = warning client = yes connect = $WSREP_SST_OPT_HOST_UNESCAPED:$WSREP_SST_OPT_PORT TIMEOUTclose = 0 ${VERIFY_OPT} ${CHECK_OPT} ${CHECK_OPT_LOCAL} EOF fi if [ $WSREP_SST_OPT_BYPASS -eq 0 ]; then FLUSHED="$DATA/tables_flushed" ERROR="$DATA/sst_error" [ -f "$FLUSHED" ] && rm -f "$FLUSHED" [ -f "$ERROR" ] && rm -f "$ERROR" echo 'flush tables' # Wait for : # (a) Tables to be flushed, AND # (b) Cluster state ID & wsrep_gtid_domain_id to be written to the file, OR # (c) ERROR file, in case flush tables operation failed. while [ ! -r "$FLUSHED" ] || \ ! grep -q -F ':' -- "$FLUSHED" do # Check whether ERROR file exists. if [ -f "$ERROR" ]; then # Flush tables operation failed. rm "$ERROR" exit 255 fi sleep 0.2 done STATE=$(cat "$FLUSHED") rm "$FLUSHED" sync wsrep_log_info "Tables flushed" if [ -n "$WSREP_SST_OPT_BINLOG" ]; then # Change the directory to binlog base (if possible): cd "$DATA" # Let's check the existence of the file with the index: if [ -f "$WSREP_SST_OPT_BINLOG_INDEX" ]; then # Let's read the binlog index: max_binlogs=$(parse_cnf "$encgroups" 'sst-max-binlogs' 1) if [ $max_binlogs -ge 0 ]; then binlog_files="" if [ $max_binlogs -gt 0 ]; then binlog_files=$(tail -n $max_binlogs \ "$WSREP_SST_OPT_BINLOG_INDEX") fi else binlog_files=$(cat "$WSREP_SST_OPT_BINLOG_INDEX") fi if [ -n "$binlog_files" ]; then # Preparing binlog files for transfer: wsrep_log_info "Preparing binlog files for transfer:" tar_type=0 if tar --help 2>/dev/null | grep -qw -F -- '--transform'; then tar_type=1 elif tar --version 2>/dev/null | grep -qw -E '^bsdtar'; then tar_type=2 fi if [ $tar_type -eq 2 ]; then echo "$binlog_files" >&2 fi if [ $tar_type -ne 0 ]; then # Preparing list of the binlog file names: echo "$binlog_files" | { binlogs="" while read bin_file || [ -n "$bin_file" ]; do [ ! -f "$bin_file" ] && continue if [ -n "$BASH_VERSION" ]; then first="${bin_file:0:1}" else first=$(echo "$bin_file" | cut -c1) fi if [ "$first" = '-' -o "$first" = '@' ]; then bin_file="./$bin_file" fi binlogs="$binlogs${binlogs:+ }'$bin_file'" done if [ -n "$binlogs" ]; then if [ $tar_type -eq 1 ]; then tar_options="--transform='s/^.*\///g'" else # bsdtar handles backslash incorrectly: tar_options="-s '?^.*/??g'" fi eval tar -P $tar_options \ -cvf "'$BINLOG_TAR_FILE'" $binlogs >&2 fi } else tar_options='-cvf' echo "$binlog_files" | \ while read bin_file || [ -n "$bin_file" ]; do [ ! -f "$bin_file" ] && continue bin_dir=$(dirname "$bin_file") bin_base=$(basename "$bin_file") if [ -n "$BASH_VERSION" ]; then first="${bin_base:0:1}" else first=$(echo "$bin_base" | cut -c1) fi if [ "$first" = '-' -o "$first" = '@' ]; then bin_base="./$bin_base" fi if [ -n "$bin_dir" -a "$bin_dir" != '.' -a \ "$bin_dir" != "$DATA_DIR" ] then tar $tar_options "$BINLOG_TAR_FILE" \ -C "$bin_dir" "$bin_base" >&2 else tar $tar_options "$BINLOG_TAR_FILE" \ "$bin_base" >&2 fi tar_options='-rvf' done fi fi fi cd "$OLD_PWD" fi # Use deltaxfer only for WAN: WHOLE_FILE_OPT="" if [ "${WSREP_METHOD%_wan}" = "$WSREP_METHOD" ]; then WHOLE_FILE_OPT='--whole-file' fi # Old filter - include everything except selected # FILTER=(--exclude '*.err' --exclude '*.pid' --exclude '*.sock' \ # --exclude '*.conf' --exclude core --exclude 'galera.*' \ # --exclude grastate.txt --exclude '*.pem' \ # --exclude '*.[0-9][0-9][0-9][0-9][0-9][0-9]' --exclude '*.index') # New filter - exclude everything except dirs (schemas) and innodb files FILTER="-f '- /lost+found' -f '- /.zfs' -f '- /.fseventsd' -f '- /.Trashes' -f '- /.pid' -f '- /.conf' -f '- /.snapshot/' -f '+ /wsrep_sst_binlog.tar' -f '- $ib_home_dir/ib_lru_dump' -f '- $ib_home_dir/ibdata*' -f '- $ib_undo_dir/undo*' -f '- $ib_log_dir/ib_logfile[0-9]*' -f '- $ar_log_dir/aria_log_control' -f '- $ar_log_dir/aria_log.*' -f '+ /*/' -f '- /*'" # first, the normal directories, so that we can detect # incompatible protocol: eval rsync ${STUNNEL:+"--rsh='$STUNNEL'"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT $FILTER "'$DATA/'" \ "'rsync://$WSREP_SST_OPT_ADDR'" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync returned code $RC:" case $RC in 12) RC=71 # EPROTO wsrep_log_error \ "rsync server on the other end has incompatible" \ "protocol. Make sure you have the same version of" \ "rsync on all nodes." ;; 22) RC=12 # ENOMEM ;; *) RC=255 # unknown error ;; esac exit $RC fi wsrep_log_info "Transfer of normal directories done" if [ -d "$ib_home_dir" ]; then # Transfer InnoDB data files rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT -f '+ /ibdata*' -f '+ /ib_lru_dump' \ -f '- **' "$ib_home_dir/" \ "rsync://$WSREP_SST_OPT_ADDR-data_dir" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync innodb_data_home_dir returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of InnoDB data files done" fi if [ -d "$ib_log_dir" ]; then # second, we transfer the InnoDB log file rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT -f '+ /ib_logfile0' \ -f '- **' "$ib_log_dir/" \ "rsync://$WSREP_SST_OPT_ADDR-log_dir" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync innodb_log_group_home_dir returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of InnoDB log files done" fi if [ "$ib_undo_dir" ]; then # third, we transfer InnoDB undo logs rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT -f '+ /undo*' \ -f '- **' "$ib_undo_dir/" \ "rsync://$WSREP_SST_OPT_ADDR-undo_dir" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync innodb_undo_dir returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of InnoDB undo logs done" fi if [ "$ar_log_dir" ]; then # fourth, we transfer Aria logs rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials \ --ignore-times --inplace --dirs --delete --quiet \ $WHOLE_FILE_OPT -f '+ /aria_log_control' -f '+ /aria_log.*' \ -f '- **' "$ar_log_dir/" \ "rsync://$WSREP_SST_OPT_ADDR-aria_log" >&2 || RC=$? if [ $RC -ne 0 ]; then wsrep_log_error "rsync aria_log_dir_path returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of Aria logs done" fi # then, we parallelize the transfer of database directories, # use '.' so that path concatenation works: backup_threads=$(parse_cnf '--mysqld|sst' 'backup-threads') if [ -z "$backup_threads" ]; then get_proc backup_threads=$nproc fi cd "$DATA" findopt='-L' [ "$OS" = 'FreeBSD' ] && findopt="$findopt -E" find $findopt . -maxdepth 1 -mindepth 1 -type d -not -name 'lost+found' \ -not -name '.zfs' -not -name .snapshot -print0 \ | xargs -I{} -0 -P $backup_threads \ rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --owner --group --perms --links --specials --ignore-times \ --inplace --recursive --delete --quiet $WHOLE_FILE_OPT \ -f '- $ib_home_dir/ib_lru_dump' \ -f '- $ib_home_dir/ibdata*' \ -f '- $ib_undo_dir/undo*' \ -f '- $ib_log_dir/ib_logfile[0-9]*' \ -f '- $ar_log_dir/aria_log_control' \ -f '- $ar_log_dir/aria_log.*' \ "$DATA/{}/" \ "rsync://$WSREP_SST_OPT_ADDR/{}" >&2 || RC=$? cd "$OLD_PWD" if [ $RC -ne 0 ]; then wsrep_log_error "find/rsync returned code $RC:" exit 255 # unknown error fi wsrep_log_info "Transfer of data done" [ -f "$BINLOG_TAR_FILE" ] && rm "$BINLOG_TAR_FILE" else # BYPASS wsrep_log_info "Bypassing state dump." # Store donor's wsrep GTID (state ID) and wsrep_gtid_domain_id # (separated by a space). STATE="$WSREP_SST_OPT_GTID $WSREP_SST_OPT_GTID_DOMAIN_ID" fi wsrep_log_info "Sending continue to donor" echo 'continue' # now server can resume updating data echo "$STATE" > "$MAGIC_FILE" if [ -n "$WSREP_SST_OPT_REMOTE_PSWD" ]; then # Let joiner know that we know its secret. WSREP_SST_OPT_REMOTE_PSWD_=$(safe WSREP_SST_OPT_REMOTE_PSWD) echo "$SECRET_TAG $WSREP_SST_OPT_REMOTE_PSWD_" >> "$MAGIC_FILE" fi if [ $WSREP_SST_OPT_BYPASS -ne 0 ]; then echo "$BYPASS_TAG" >> "$MAGIC_FILE" fi rsync ${STUNNEL:+--rsh="$STUNNEL"} \ --archive --quiet --checksum "$MAGIC_FILE" \ "rsync://$WSREP_SST_OPT_ADDR" >&2 || RC=$? rm "$MAGIC_FILE" if [ $RC -ne 0 ]; then wsrep_log_error "rsync $MAGIC_FILE returned code $RC:" exit 255 # unknown error fi echo "done $STATE" if [ -n "$STUNNEL" ]; then rm "$STUNNEL_CONF" [ -f "$STUNNEL_PID" ] && rm "$STUNNEL_PID" fi else # joiner check_sockets_utils create_dirs ADDR="$WSREP_SST_OPT_HOST" RSYNC_PORT="$WSREP_SST_OPT_PORT" RSYNC_ADDR="$WSREP_SST_OPT_HOST" RSYNC_ADDR_UNESCAPED="$WSREP_SST_OPT_HOST_UNESCAPED" trap cleanup_joiner EXIT touch "$SST_PROGRESS_FILE" if [ -n "${MYSQL_TMP_DIR:-}" ]; then SILENT="log file = $MYSQL_TMP_DIR/rsyncd.log" else SILENT="" fi cat << EOF > "$RSYNC_CONF" pid file = $RSYNC_PID use chroot = no read only = no timeout = 300 $SILENT [$MODULE] path = $DATA exclude = .zfs [$MODULE-log_dir] path = $ib_log_dir [$MODULE-data_dir] path = $ib_home_dir [$MODULE-undo_dir] path = $ib_undo_dir [$MODULE-aria_log] path = $ar_log_dir EOF # If the IP is local, listen only on it: if is_local_ip "$RSYNC_ADDR_UNESCAPED"; then RSYNC_EXTRA_ARGS="--address $RSYNC_ADDR_UNESCAPED" STUNNEL_ACCEPT="$RSYNC_ADDR_UNESCAPED:$RSYNC_PORT" else # Not local, possibly a NAT, listen on all interfaces: RSYNC_EXTRA_ARGS="" STUNNEL_ACCEPT="$RSYNC_PORT" # Overwrite address with all: RSYNC_ADDR='*' fi if [ -z "$STUNNEL" ]; then rsync --daemon --no-detach --port "$RSYNC_PORT" \ --config "$RSYNC_CONF" $RSYNC_EXTRA_ARGS & RSYNC_REAL_PID=$! TRANSFER_REAL_PID=$RSYNC_REAL_PID TRANSFER_PID="$RSYNC_PID" else # Let's check if the path to the config file contains a space? RSYNC_BIN=$(commandex 'rsync') if [ "${RSYNC_CONF#* }" = "$RSYNC_CONF" ]; then cat << EOF > "$STUNNEL_CONF" key = $SSTKEY cert = $SSTCERT ${CAFILE_OPT} ${CAPATH_OPT} foreground = yes pid = $STUNNEL_PID debug = warning client = no ${VERIFY_OPT} ${CHECK_OPT} ${CHECK_OPT_LOCAL} [rsync] accept = $STUNNEL_ACCEPT exec = $RSYNC_BIN execargs = rsync --server --daemon --config=$RSYNC_CONF . EOF else # The path contains a space, so we will run it via # shell with "eval" command: export RSYNC_CMD="eval '$RSYNC_BIN' --server --daemon --config='$RSYNC_CONF' ." cat << EOF > "$STUNNEL_CONF" key = $SSTKEY cert = $SSTCERT ${CAFILE_OPT} ${CAPATH_OPT} foreground = yes pid = $STUNNEL_PID debug = warning client = no ${VERIFY_OPT} ${CHECK_OPT} ${CHECK_OPT_LOCAL} [rsync] accept = $STUNNEL_ACCEPT exec = $SHELL execargs = $SHELL -c \$RSYNC_CMD EOF fi stunnel "$STUNNEL_CONF" & STUNNEL_REAL_PID=$! TRANSFER_REAL_PID=$STUNNEL_REAL_PID TRANSFER_PID="$STUNNEL_PID" fi if [ "${SSLMODE#VERIFY}" != "$SSLMODE" ]; then # backward-incompatible behavior: CN="" if [ -n "$SSTCERT" ]; then CN=$(openssl_getCN "$SSTCERT") fi MY_SECRET="$(wsrep_gen_secret)" # Add authentication data to address ADDR="$CN:$MY_SECRET@$WSREP_SST_OPT_HOST" else MY_SECRET="" # for check down in recv_joiner() fi until check_pid_and_port "$TRANSFER_PID" $TRANSFER_REAL_PID \ "$RSYNC_ADDR_UNESCAPED" "$RSYNC_PORT" do sleep 0.2 done echo "ready $ADDR:$RSYNC_PORT/$MODULE" # wait for SST to complete by monitoring magic file while [ ! -r "$MAGIC_FILE" ] && check_pid "$TRANSFER_PID" && \ ps -p $WSREP_SST_OPT_PARENT >/dev/null 2>&1 do sleep 1 done if ! ps -p $WSREP_SST_OPT_PARENT >/dev/null 2>&1; then wsrep_log_error \ "Parent mysqld process (PID: $WSREP_SST_OPT_PARENT)" \ "terminated unexpectedly." kill -- -$WSREP_SST_OPT_PARENT sleep 1 exit 32 fi if [ ! -r "$MAGIC_FILE" ]; then # This message should cause joiner to abort: wsrep_log_info "rsync process ended without creating" \ "magic file ($MAGIC_FILE)" exit 32 fi if [ -n "$MY_SECRET" ]; then # Check donor supplied secret: SECRET=$(grep -m1 -E "^$SECRET_TAG[[:space:]]" "$MAGIC_FILE" || :) SECRET=$(trim_string "${SECRET#$SECRET_TAG}") if [ "$SECRET" != "$MY_SECRET" ]; then wsrep_log_error "Donor does not know my secret!" wsrep_log_info "Donor: '$SECRET', my: '$MY_SECRET'" exit 32 fi fi if [ $WSREP_SST_OPT_BYPASS -eq 0 ]; then if grep -m1 -qE "^$BYPASS_TAG([[:space:]]+.*)?\$" "$MAGIC_FILE"; then readonly WSREP_SST_OPT_BYPASS=1 readonly WSREP_TRANSFER_TYPE='IST' fi fi binlog_tar_present=0 if [ -f "$BINLOG_TAR_FILE" ]; then binlog_tar_present=1 if [ $WSREP_SST_OPT_BYPASS -ne 0 ]; then wsrep_log_warning "tar with binlogs transferred in the IST mode" fi fi if [ $WSREP_SST_OPT_BYPASS -eq 0 -a -n "$WSREP_SST_OPT_BINLOG" ]; then # If it is SST (not an IST) or tar with binlogs is present # among the transferred files, then we need to remove the # old binlogs: cd "$DATA" # Clean up the old binlog files and index: binlog_index="$WSREP_SST_OPT_BINLOG_INDEX" if [ -f "$binlog_index" ]; then while read bin_file || [ -n "$bin_file" ]; do rm -f "$bin_file" || : done < "$binlog_index" rm "$binlog_index" fi binlog_cd=0 # Change the directory to binlog base (if possible): if [ -n "$binlog_dir" -a "$binlog_dir" != '.' -a \ "$binlog_dir" != "$DATA_DIR" -a -d "$binlog_dir" ] then binlog_cd=1 cd "$binlog_dir" fi # Clean up unindexed binlog files: rm -f "$binlog_base".[0-9]* || : [ $binlog_cd -ne 0 ] && cd "$DATA_DIR" if [ $binlog_tar_present -ne 0 ]; then # Create a temporary file: tmpdir=$(parse_cnf '--mysqld|sst' 'tmpdir') if [ -z "$tmpdir" ]; then tmpfile="$(mktemp)" elif [ "$OS" = 'Linux' ]; then tmpfile=$(mktemp "--tmpdir=$tmpdir") else tmpfile=$(TMPDIR="$tmpdir"; mktemp) fi index_dir=$(dirname "$binlog_index"); if [ -n "$index_dir" -a "$index_dir" != '.' -a \ "$index_dir" != "$DATA_DIR" ] then [ ! -d "$index_dir" ] && mkdir -p "$index_dir" fi binlog_cd=0 if [ -n "$binlog_dir" -a "$binlog_dir" != '.' -a \ "$binlog_dir" != "$DATA_DIR" ] then [ ! -d "$binlog_dir" ] && mkdir -p "$binlog_dir" binlog_cd=1 cd "$binlog_dir" fi # Extracting binlog files: wsrep_log_info "Extracting binlog files:" if tar --version 2>/dev/null | grep -qw -E '^bsdtar'; then tar -tf "$BINLOG_TAR_FILE" > "$tmpfile" && \ tar -xvf "$BINLOG_TAR_FILE" > /dev/null || RC=$? else tar -xvf "$BINLOG_TAR_FILE" > "$tmpfile" && \ cat "$tmpfile" >&2 || RC=$? fi if [ $RC -ne 0 ]; then wsrep_log_error "Error unpacking tar file with binlog files" rm "$tmpfile" exit 32 fi # Rebuild binlog index: [ $binlog_cd -ne 0 ] && cd "$DATA_DIR" while read bin_file || [ -n "$bin_file" ]; do echo "$binlog_dir${binlog_dir:+/}$bin_file" >> "$binlog_index" done < "$tmpfile" rm "$tmpfile" cd "$OLD_PWD" fi fi simulate_long_sst # Remove special tags from the magic file, and from the output: coords=$(head -n1 "$MAGIC_FILE") wsrep_log_info "Galera co-ords from recovery: $coords" echo "$coords" # Output : UUID:seqno wsrep_gtid_domain_id fi wsrep_log_info "$WSREP_METHOD $WSREP_TRANSFER_TYPE completed on $WSREP_SST_OPT_ROLE" exit 0